// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to You under the Apache License, Version 2.0
// (the "License"); you may not use this file except in compliance with
// the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed //under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by protoc-gen-go. DO NOT EDIT.
// source: services.proto

/*
Package proto is a generated protocol buffer package.

It is generated from these files:
	services.proto

It has these top-level messages:
	ModifySchemasRequest
	Schema
	ModifySchemasResponse
	HeartbeatSetRequest
	HeartbeatSetElement
	HeartbeatSetResponse
	InstanceHbRst
	StService
	StInstance
	StApp
	Statistics
	GetServicesInfoRequest
	GetServicesInfoResponse
	MicroServiceKey
	MicroService
	FrameWorkProperty
	ServiceRule
	AddOrUpdateServiceRule
	ServicePath
	Response
	GetExistenceRequest
	GetExistenceResponse
	CreateServiceRequest
	CreateServiceResponse
	DeleteServiceRequest
	DeleteServiceResponse
	GetServiceRequest
	GetServiceResponse
	GetServicesRequest
	GetServicesResponse
	UpdateServicePropsRequest
	UpdateServicePropsResponse
	GetServiceRulesRequest
	GetServiceRulesResponse
	UpdateServiceRuleRequest
	UpdateServiceRuleResponse
	AddServiceRulesRequest
	AddServiceRulesResponse
	DeleteServiceRulesRequest
	DeleteServiceRulesResponse
	GetServiceTagsRequest
	GetServiceTagsResponse
	UpdateServiceTagRequest
	UpdateServiceTagResponse
	AddServiceTagsRequest
	AddServiceTagsResponse
	DeleteServiceTagsRequest
	DeleteServiceTagsResponse
	HealthCheck
	MicroServiceInstance
	DataCenterInfo
	MicroServiceInstanceKey
	RegisterInstanceRequest
	RegisterInstanceResponse
	UnregisterInstanceRequest
	UnregisterInstanceResponse
	HeartbeatRequest
	HeartbeatResponse
	FindInstancesRequest
	FindInstancesResponse
	GetOneInstanceRequest
	GetOneInstanceResponse
	GetInstancesRequest
	GetInstancesResponse
	UpdateInstanceStatusRequest
	UpdateInstanceStatusResponse
	UpdateInstancePropsRequest
	UpdateInstancePropsResponse
	WatchInstanceRequest
	WatchInstanceResponse
	GetSchemaRequest
	GetAllSchemaRequest
	GetSchemaResponse
	GetAllSchemaResponse
	DeleteSchemaRequest
	DeleteSchemaResponse
	ModifySchemaRequest
	ModifySchemaResponse
	AddDependenciesRequest
	AddDependenciesResponse
	CreateDependenciesRequest
	ConsumerDependency
	CreateDependenciesResponse
	GetDependenciesRequest
	GetConDependenciesResponse
	GetProDependenciesResponse
	ServiceDetail
	GetServiceDetailResponse
	DelServicesRequest
	DelServicesRspInfo
	DelServicesResponse
	GetAppsRequest
	GetAppsResponse
*/
package proto

import proto1 "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto1.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto1.ProtoPackageIsVersion2 // please upgrade the proto package

type ModifySchemasRequest struct {
	ServiceId string    `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	Schemas   []*Schema `protobuf:"bytes,2,rep,name=schemas" json:"schemas,omitempty"`
}

func (m *ModifySchemasRequest) Reset()                    { *m = ModifySchemasRequest{} }
func (m *ModifySchemasRequest) String() string            { return proto1.CompactTextString(m) }
func (*ModifySchemasRequest) ProtoMessage()               {}
func (*ModifySchemasRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *ModifySchemasRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *ModifySchemasRequest) GetSchemas() []*Schema {
	if m != nil {
		return m.Schemas
	}
	return nil
}

type Schema struct {
	SchemaId string `protobuf:"bytes,1,opt,name=schemaId" json:"schemaId,omitempty"`
	Summary  string `protobuf:"bytes,2,opt,name=summary" json:"summary,omitempty"`
	Schema   string `protobuf:"bytes,3,opt,name=schema" json:"schema,omitempty"`
}

func (m *Schema) Reset()                    { *m = Schema{} }
func (m *Schema) String() string            { return proto1.CompactTextString(m) }
func (*Schema) ProtoMessage()               {}
func (*Schema) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *Schema) GetSchemaId() string {
	if m != nil {
		return m.SchemaId
	}
	return ""
}

func (m *Schema) GetSummary() string {
	if m != nil {
		return m.Summary
	}
	return ""
}

func (m *Schema) GetSchema() string {
	if m != nil {
		return m.Schema
	}
	return ""
}

type ModifySchemasResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *ModifySchemasResponse) Reset()                    { *m = ModifySchemasResponse{} }
func (m *ModifySchemasResponse) String() string            { return proto1.CompactTextString(m) }
func (*ModifySchemasResponse) ProtoMessage()               {}
func (*ModifySchemasResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func (m *ModifySchemasResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type HeartbeatSetRequest struct {
	Instances []*HeartbeatSetElement `protobuf:"bytes,1,rep,name=instances" json:"instances,omitempty"`
}

func (m *HeartbeatSetRequest) Reset()                    { *m = HeartbeatSetRequest{} }
func (m *HeartbeatSetRequest) String() string            { return proto1.CompactTextString(m) }
func (*HeartbeatSetRequest) ProtoMessage()               {}
func (*HeartbeatSetRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

func (m *HeartbeatSetRequest) GetInstances() []*HeartbeatSetElement {
	if m != nil {
		return m.Instances
	}
	return nil
}

type HeartbeatSetElement struct {
	ServiceId  string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	InstanceId string `protobuf:"bytes,2,opt,name=instanceId" json:"instanceId,omitempty"`
}

func (m *HeartbeatSetElement) Reset()                    { *m = HeartbeatSetElement{} }
func (m *HeartbeatSetElement) String() string            { return proto1.CompactTextString(m) }
func (*HeartbeatSetElement) ProtoMessage()               {}
func (*HeartbeatSetElement) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{4} }

func (m *HeartbeatSetElement) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *HeartbeatSetElement) GetInstanceId() string {
	if m != nil {
		return m.InstanceId
	}
	return ""
}

type HeartbeatSetResponse struct {
	Response  *Response        `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Instances []*InstanceHbRst `protobuf:"bytes,2,rep,name=instances" json:"instances,omitempty"`
}

func (m *HeartbeatSetResponse) Reset()                    { *m = HeartbeatSetResponse{} }
func (m *HeartbeatSetResponse) String() string            { return proto1.CompactTextString(m) }
func (*HeartbeatSetResponse) ProtoMessage()               {}
func (*HeartbeatSetResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{5} }

func (m *HeartbeatSetResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *HeartbeatSetResponse) GetInstances() []*InstanceHbRst {
	if m != nil {
		return m.Instances
	}
	return nil
}

type InstanceHbRst struct {
	ServiceId  string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	InstanceId string `protobuf:"bytes,2,opt,name=instanceId" json:"instanceId,omitempty"`
	ErrMessage string `protobuf:"bytes,3,opt,name=errMessage" json:"errMessage,omitempty"`
}

func (m *InstanceHbRst) Reset()                    { *m = InstanceHbRst{} }
func (m *InstanceHbRst) String() string            { return proto1.CompactTextString(m) }
func (*InstanceHbRst) ProtoMessage()               {}
func (*InstanceHbRst) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{6} }

func (m *InstanceHbRst) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *InstanceHbRst) GetInstanceId() string {
	if m != nil {
		return m.InstanceId
	}
	return ""
}

func (m *InstanceHbRst) GetErrMessage() string {
	if m != nil {
		return m.ErrMessage
	}
	return ""
}

type StService struct {
	Count       int64 `protobuf:"varint,1,opt,name=count" json:"count,omitempty"`
	OnlineCount int64 `protobuf:"varint,2,opt,name=onlineCount" json:"onlineCount,omitempty"`
}

func (m *StService) Reset()                    { *m = StService{} }
func (m *StService) String() string            { return proto1.CompactTextString(m) }
func (*StService) ProtoMessage()               {}
func (*StService) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{7} }

func (m *StService) GetCount() int64 {
	if m != nil {
		return m.Count
	}
	return 0
}

func (m *StService) GetOnlineCount() int64 {
	if m != nil {
		return m.OnlineCount
	}
	return 0
}

type StInstance struct {
	Count int64 `protobuf:"varint,1,opt,name=count" json:"count,omitempty"`
}

func (m *StInstance) Reset()                    { *m = StInstance{} }
func (m *StInstance) String() string            { return proto1.CompactTextString(m) }
func (*StInstance) ProtoMessage()               {}
func (*StInstance) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{8} }

func (m *StInstance) GetCount() int64 {
	if m != nil {
		return m.Count
	}
	return 0
}

type StApp struct {
	Count int64 `protobuf:"varint,1,opt,name=count" json:"count,omitempty"`
}

func (m *StApp) Reset()                    { *m = StApp{} }
func (m *StApp) String() string            { return proto1.CompactTextString(m) }
func (*StApp) ProtoMessage()               {}
func (*StApp) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{9} }

func (m *StApp) GetCount() int64 {
	if m != nil {
		return m.Count
	}
	return 0
}

type Statistics struct {
	Services  *StService  `protobuf:"bytes,1,opt,name=services" json:"services,omitempty"`
	Instances *StInstance `protobuf:"bytes,2,opt,name=instances" json:"instances,omitempty"`
	Apps      *StApp      `protobuf:"bytes,3,opt,name=apps" json:"apps,omitempty"`
}

func (m *Statistics) Reset()                    { *m = Statistics{} }
func (m *Statistics) String() string            { return proto1.CompactTextString(m) }
func (*Statistics) ProtoMessage()               {}
func (*Statistics) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{10} }

func (m *Statistics) GetServices() *StService {
	if m != nil {
		return m.Services
	}
	return nil
}

func (m *Statistics) GetInstances() *StInstance {
	if m != nil {
		return m.Instances
	}
	return nil
}

func (m *Statistics) GetApps() *StApp {
	if m != nil {
		return m.Apps
	}
	return nil
}

type GetServicesInfoRequest struct {
	Options     []string `protobuf:"bytes,1,rep,name=options" json:"options,omitempty"`
	AppId       string   `protobuf:"bytes,2,opt,name=appId" json:"appId,omitempty"`
	ServiceName string   `protobuf:"bytes,3,opt,name=serviceName" json:"serviceName,omitempty"`
	CountOnly   bool     `protobuf:"varint,4,opt,name=countOnly" json:"countOnly,omitempty"`
}

func (m *GetServicesInfoRequest) Reset()                    { *m = GetServicesInfoRequest{} }
func (m *GetServicesInfoRequest) String() string            { return proto1.CompactTextString(m) }
func (*GetServicesInfoRequest) ProtoMessage()               {}
func (*GetServicesInfoRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{11} }

func (m *GetServicesInfoRequest) GetOptions() []string {
	if m != nil {
		return m.Options
	}
	return nil
}

func (m *GetServicesInfoRequest) GetAppId() string {
	if m != nil {
		return m.AppId
	}
	return ""
}

func (m *GetServicesInfoRequest) GetServiceName() string {
	if m != nil {
		return m.ServiceName
	}
	return ""
}

func (m *GetServicesInfoRequest) GetCountOnly() bool {
	if m != nil {
		return m.CountOnly
	}
	return false
}

type GetServicesInfoResponse struct {
	Response          *Response        `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	AllServicesDetail []*ServiceDetail `protobuf:"bytes,2,rep,name=allServicesDetail" json:"allServicesDetail,omitempty"`
	Statistics        *Statistics      `protobuf:"bytes,3,opt,name=statistics" json:"statistics,omitempty"`
}

func (m *GetServicesInfoResponse) Reset()                    { *m = GetServicesInfoResponse{} }
func (m *GetServicesInfoResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetServicesInfoResponse) ProtoMessage()               {}
func (*GetServicesInfoResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{12} }

func (m *GetServicesInfoResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetServicesInfoResponse) GetAllServicesDetail() []*ServiceDetail {
	if m != nil {
		return m.AllServicesDetail
	}
	return nil
}

func (m *GetServicesInfoResponse) GetStatistics() *Statistics {
	if m != nil {
		return m.Statistics
	}
	return nil
}

type MicroServiceKey struct {
	Tenant      string `protobuf:"bytes,1,opt,name=tenant" json:"tenant,omitempty"`
	Project     string `protobuf:"bytes,2,opt,name=project" json:"project,omitempty"`
	AppId       string `protobuf:"bytes,3,opt,name=appId" json:"appId,omitempty"`
	ServiceName string `protobuf:"bytes,4,opt,name=serviceName" json:"serviceName,omitempty"`
	Version     string `protobuf:"bytes,5,opt,name=version" json:"version,omitempty"`
	Environment string `protobuf:"bytes,6,opt,name=environment" json:"environment,omitempty"`
	Alias       string `protobuf:"bytes,7,opt,name=alias" json:"alias,omitempty"`
}

func (m *MicroServiceKey) Reset()                    { *m = MicroServiceKey{} }
func (m *MicroServiceKey) String() string            { return proto1.CompactTextString(m) }
func (*MicroServiceKey) ProtoMessage()               {}
func (*MicroServiceKey) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{13} }

func (m *MicroServiceKey) GetTenant() string {
	if m != nil {
		return m.Tenant
	}
	return ""
}

func (m *MicroServiceKey) GetProject() string {
	if m != nil {
		return m.Project
	}
	return ""
}

func (m *MicroServiceKey) GetAppId() string {
	if m != nil {
		return m.AppId
	}
	return ""
}

func (m *MicroServiceKey) GetServiceName() string {
	if m != nil {
		return m.ServiceName
	}
	return ""
}

func (m *MicroServiceKey) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

func (m *MicroServiceKey) GetEnvironment() string {
	if m != nil {
		return m.Environment
	}
	return ""
}

func (m *MicroServiceKey) GetAlias() string {
	if m != nil {
		return m.Alias
	}
	return ""
}

type MicroService struct {
	ServiceId    string             `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	AppId        string             `protobuf:"bytes,2,opt,name=appId" json:"appId,omitempty"`
	ServiceName  string             `protobuf:"bytes,3,opt,name=serviceName" json:"serviceName,omitempty"`
	Version      string             `protobuf:"bytes,4,opt,name=version" json:"version,omitempty"`
	Description  string             `protobuf:"bytes,5,opt,name=description" json:"description,omitempty"`
	Level        string             `protobuf:"bytes,6,opt,name=level" json:"level,omitempty"`
	Schemas      []string           `protobuf:"bytes,7,rep,name=schemas" json:"schemas,omitempty"`
	Paths        []*ServicePath     `protobuf:"bytes,10,rep,name=paths" json:"paths,omitempty"`
	Status       string             `protobuf:"bytes,8,opt,name=status" json:"status,omitempty"`
	Properties   map[string]string  `protobuf:"bytes,9,rep,name=properties" json:"properties,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	Timestamp    string             `protobuf:"bytes,11,opt,name=timestamp" json:"timestamp,omitempty"`
	Providers    []*MicroServiceKey `protobuf:"bytes,12,rep,name=providers" json:"providers,omitempty"`
	Alias        string             `protobuf:"bytes,13,opt,name=alias" json:"alias,omitempty"`
	LBStrategy   map[string]string  `protobuf:"bytes,14,rep,name=LBStrategy" json:"LBStrategy,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	ModTimestamp string             `protobuf:"bytes,15,opt,name=modTimestamp" json:"modTimestamp,omitempty"`
	Environment  string             `protobuf:"bytes,16,opt,name=environment" json:"environment,omitempty"`
	RegisterBy   string             `protobuf:"bytes,17,opt,name=registerBy" json:"registerBy,omitempty"`
	Framework    *FrameWorkProperty `protobuf:"bytes,18,opt,name=framework" json:"framework,omitempty"`
}

func (m *MicroService) Reset()                    { *m = MicroService{} }
func (m *MicroService) String() string            { return proto1.CompactTextString(m) }
func (*MicroService) ProtoMessage()               {}
func (*MicroService) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{14} }

func (m *MicroService) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *MicroService) GetAppId() string {
	if m != nil {
		return m.AppId
	}
	return ""
}

func (m *MicroService) GetServiceName() string {
	if m != nil {
		return m.ServiceName
	}
	return ""
}

func (m *MicroService) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

func (m *MicroService) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *MicroService) GetLevel() string {
	if m != nil {
		return m.Level
	}
	return ""
}

func (m *MicroService) GetSchemas() []string {
	if m != nil {
		return m.Schemas
	}
	return nil
}

func (m *MicroService) GetPaths() []*ServicePath {
	if m != nil {
		return m.Paths
	}
	return nil
}

func (m *MicroService) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *MicroService) GetProperties() map[string]string {
	if m != nil {
		return m.Properties
	}
	return nil
}

func (m *MicroService) GetTimestamp() string {
	if m != nil {
		return m.Timestamp
	}
	return ""
}

func (m *MicroService) GetProviders() []*MicroServiceKey {
	if m != nil {
		return m.Providers
	}
	return nil
}

func (m *MicroService) GetAlias() string {
	if m != nil {
		return m.Alias
	}
	return ""
}

func (m *MicroService) GetLBStrategy() map[string]string {
	if m != nil {
		return m.LBStrategy
	}
	return nil
}

func (m *MicroService) GetModTimestamp() string {
	if m != nil {
		return m.ModTimestamp
	}
	return ""
}

func (m *MicroService) GetEnvironment() string {
	if m != nil {
		return m.Environment
	}
	return ""
}

func (m *MicroService) GetRegisterBy() string {
	if m != nil {
		return m.RegisterBy
	}
	return ""
}

func (m *MicroService) GetFramework() *FrameWorkProperty {
	if m != nil {
		return m.Framework
	}
	return nil
}

type FrameWorkProperty struct {
	Name    string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	Version string `protobuf:"bytes,2,opt,name=version" json:"version,omitempty"`
}

func (m *FrameWorkProperty) Reset()                    { *m = FrameWorkProperty{} }
func (m *FrameWorkProperty) String() string            { return proto1.CompactTextString(m) }
func (*FrameWorkProperty) ProtoMessage()               {}
func (*FrameWorkProperty) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{15} }

func (m *FrameWorkProperty) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *FrameWorkProperty) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

type ServiceRule struct {
	RuleId       string `protobuf:"bytes,1,opt,name=ruleId" json:"ruleId,omitempty"`
	RuleType     string `protobuf:"bytes,2,opt,name=ruleType" json:"ruleType,omitempty"`
	Attribute    string `protobuf:"bytes,3,opt,name=attribute" json:"attribute,omitempty"`
	Pattern      string `protobuf:"bytes,4,opt,name=pattern" json:"pattern,omitempty"`
	Description  string `protobuf:"bytes,5,opt,name=description" json:"description,omitempty"`
	Timestamp    string `protobuf:"bytes,6,opt,name=timestamp" json:"timestamp,omitempty"`
	ModTimestamp string `protobuf:"bytes,7,opt,name=modTimestamp" json:"modTimestamp,omitempty"`
}

func (m *ServiceRule) Reset()                    { *m = ServiceRule{} }
func (m *ServiceRule) String() string            { return proto1.CompactTextString(m) }
func (*ServiceRule) ProtoMessage()               {}
func (*ServiceRule) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{16} }

func (m *ServiceRule) GetRuleId() string {
	if m != nil {
		return m.RuleId
	}
	return ""
}

func (m *ServiceRule) GetRuleType() string {
	if m != nil {
		return m.RuleType
	}
	return ""
}

func (m *ServiceRule) GetAttribute() string {
	if m != nil {
		return m.Attribute
	}
	return ""
}

func (m *ServiceRule) GetPattern() string {
	if m != nil {
		return m.Pattern
	}
	return ""
}

func (m *ServiceRule) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *ServiceRule) GetTimestamp() string {
	if m != nil {
		return m.Timestamp
	}
	return ""
}

func (m *ServiceRule) GetModTimestamp() string {
	if m != nil {
		return m.ModTimestamp
	}
	return ""
}

type AddOrUpdateServiceRule struct {
	RuleType    string `protobuf:"bytes,1,opt,name=ruleType" json:"ruleType,omitempty"`
	Attribute   string `protobuf:"bytes,2,opt,name=attribute" json:"attribute,omitempty"`
	Pattern     string `protobuf:"bytes,3,opt,name=pattern" json:"pattern,omitempty"`
	Description string `protobuf:"bytes,4,opt,name=description" json:"description,omitempty"`
}

func (m *AddOrUpdateServiceRule) Reset()                    { *m = AddOrUpdateServiceRule{} }
func (m *AddOrUpdateServiceRule) String() string            { return proto1.CompactTextString(m) }
func (*AddOrUpdateServiceRule) ProtoMessage()               {}
func (*AddOrUpdateServiceRule) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{17} }

func (m *AddOrUpdateServiceRule) GetRuleType() string {
	if m != nil {
		return m.RuleType
	}
	return ""
}

func (m *AddOrUpdateServiceRule) GetAttribute() string {
	if m != nil {
		return m.Attribute
	}
	return ""
}

func (m *AddOrUpdateServiceRule) GetPattern() string {
	if m != nil {
		return m.Pattern
	}
	return ""
}

func (m *AddOrUpdateServiceRule) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

type ServicePath struct {
	Path     string            `protobuf:"bytes,1,opt,name=path" json:"path,omitempty"`
	Property map[string]string `protobuf:"bytes,2,rep,name=property" json:"property,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
}

func (m *ServicePath) Reset()                    { *m = ServicePath{} }
func (m *ServicePath) String() string            { return proto1.CompactTextString(m) }
func (*ServicePath) ProtoMessage()               {}
func (*ServicePath) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{18} }

func (m *ServicePath) GetPath() string {
	if m != nil {
		return m.Path
	}
	return ""
}

func (m *ServicePath) GetProperty() map[string]string {
	if m != nil {
		return m.Property
	}
	return nil
}

type Response struct {
	Code    int32  `protobuf:"varint,1,opt,name=code" json:"code,omitempty"`
	Message string `protobuf:"bytes,2,opt,name=message" json:"message,omitempty"`
}

func (m *Response) Reset()                    { *m = Response{} }
func (m *Response) String() string            { return proto1.CompactTextString(m) }
func (*Response) ProtoMessage()               {}
func (*Response) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{19} }

func (m *Response) GetCode() int32 {
	if m != nil {
		return m.Code
	}
	return 0
}

func (m *Response) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

type GetExistenceRequest struct {
	Type        string `protobuf:"bytes,1,opt,name=type" json:"type,omitempty"`
	AppId       string `protobuf:"bytes,2,opt,name=appId" json:"appId,omitempty"`
	ServiceName string `protobuf:"bytes,3,opt,name=serviceName" json:"serviceName,omitempty"`
	Version     string `protobuf:"bytes,4,opt,name=version" json:"version,omitempty"`
	ServiceId   string `protobuf:"bytes,5,opt,name=serviceId" json:"serviceId,omitempty"`
	SchemaId    string `protobuf:"bytes,6,opt,name=schemaId" json:"schemaId,omitempty"`
	Environment string `protobuf:"bytes,7,opt,name=environment" json:"environment,omitempty"`
}

func (m *GetExistenceRequest) Reset()                    { *m = GetExistenceRequest{} }
func (m *GetExistenceRequest) String() string            { return proto1.CompactTextString(m) }
func (*GetExistenceRequest) ProtoMessage()               {}
func (*GetExistenceRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{20} }

func (m *GetExistenceRequest) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *GetExistenceRequest) GetAppId() string {
	if m != nil {
		return m.AppId
	}
	return ""
}

func (m *GetExistenceRequest) GetServiceName() string {
	if m != nil {
		return m.ServiceName
	}
	return ""
}

func (m *GetExistenceRequest) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

func (m *GetExistenceRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *GetExistenceRequest) GetSchemaId() string {
	if m != nil {
		return m.SchemaId
	}
	return ""
}

func (m *GetExistenceRequest) GetEnvironment() string {
	if m != nil {
		return m.Environment
	}
	return ""
}

type GetExistenceResponse struct {
	Response  *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	ServiceId string    `protobuf:"bytes,2,opt,name=serviceId" json:"serviceId,omitempty"`
	SchemaId  string    `protobuf:"bytes,3,opt,name=schemaId" json:"schemaId,omitempty"`
	Summary   string    `protobuf:"bytes,4,opt,name=summary" json:"summary,omitempty"`
}

func (m *GetExistenceResponse) Reset()                    { *m = GetExistenceResponse{} }
func (m *GetExistenceResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetExistenceResponse) ProtoMessage()               {}
func (*GetExistenceResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{21} }

func (m *GetExistenceResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetExistenceResponse) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *GetExistenceResponse) GetSchemaId() string {
	if m != nil {
		return m.SchemaId
	}
	return ""
}

func (m *GetExistenceResponse) GetSummary() string {
	if m != nil {
		return m.Summary
	}
	return ""
}

type CreateServiceRequest struct {
	Service   *MicroService             `protobuf:"bytes,1,opt,name=service" json:"service,omitempty"`
	Rules     []*AddOrUpdateServiceRule `protobuf:"bytes,2,rep,name=rules" json:"rules,omitempty"`
	Tags      map[string]string         `protobuf:"bytes,3,rep,name=tags" json:"tags,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	Instances []*MicroServiceInstance   `protobuf:"bytes,4,rep,name=instances" json:"instances,omitempty"`
}

func (m *CreateServiceRequest) Reset()                    { *m = CreateServiceRequest{} }
func (m *CreateServiceRequest) String() string            { return proto1.CompactTextString(m) }
func (*CreateServiceRequest) ProtoMessage()               {}
func (*CreateServiceRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{22} }

func (m *CreateServiceRequest) GetService() *MicroService {
	if m != nil {
		return m.Service
	}
	return nil
}

func (m *CreateServiceRequest) GetRules() []*AddOrUpdateServiceRule {
	if m != nil {
		return m.Rules
	}
	return nil
}

func (m *CreateServiceRequest) GetTags() map[string]string {
	if m != nil {
		return m.Tags
	}
	return nil
}

func (m *CreateServiceRequest) GetInstances() []*MicroServiceInstance {
	if m != nil {
		return m.Instances
	}
	return nil
}

type CreateServiceResponse struct {
	Response  *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	ServiceId string    `protobuf:"bytes,2,opt,name=serviceId" json:"serviceId,omitempty"`
}

func (m *CreateServiceResponse) Reset()                    { *m = CreateServiceResponse{} }
func (m *CreateServiceResponse) String() string            { return proto1.CompactTextString(m) }
func (*CreateServiceResponse) ProtoMessage()               {}
func (*CreateServiceResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{23} }

func (m *CreateServiceResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *CreateServiceResponse) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

type DeleteServiceRequest struct {
	ServiceId string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	Force     bool   `protobuf:"varint,2,opt,name=force" json:"force,omitempty"`
}

func (m *DeleteServiceRequest) Reset()                    { *m = DeleteServiceRequest{} }
func (m *DeleteServiceRequest) String() string            { return proto1.CompactTextString(m) }
func (*DeleteServiceRequest) ProtoMessage()               {}
func (*DeleteServiceRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{24} }

func (m *DeleteServiceRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *DeleteServiceRequest) GetForce() bool {
	if m != nil {
		return m.Force
	}
	return false
}

type DeleteServiceResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *DeleteServiceResponse) Reset()                    { *m = DeleteServiceResponse{} }
func (m *DeleteServiceResponse) String() string            { return proto1.CompactTextString(m) }
func (*DeleteServiceResponse) ProtoMessage()               {}
func (*DeleteServiceResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{25} }

func (m *DeleteServiceResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type GetServiceRequest struct {
	ServiceId string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
}

func (m *GetServiceRequest) Reset()                    { *m = GetServiceRequest{} }
func (m *GetServiceRequest) String() string            { return proto1.CompactTextString(m) }
func (*GetServiceRequest) ProtoMessage()               {}
func (*GetServiceRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{26} }

func (m *GetServiceRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

type GetServiceResponse struct {
	Response *Response     `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Service  *MicroService `protobuf:"bytes,2,opt,name=service" json:"service,omitempty"`
}

func (m *GetServiceResponse) Reset()                    { *m = GetServiceResponse{} }
func (m *GetServiceResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetServiceResponse) ProtoMessage()               {}
func (*GetServiceResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{27} }

func (m *GetServiceResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetServiceResponse) GetService() *MicroService {
	if m != nil {
		return m.Service
	}
	return nil
}

type GetServicesRequest struct {
}

func (m *GetServicesRequest) Reset()                    { *m = GetServicesRequest{} }
func (m *GetServicesRequest) String() string            { return proto1.CompactTextString(m) }
func (*GetServicesRequest) ProtoMessage()               {}
func (*GetServicesRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{28} }

type GetServicesResponse struct {
	Response *Response       `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Services []*MicroService `protobuf:"bytes,2,rep,name=services" json:"services,omitempty"`
}

func (m *GetServicesResponse) Reset()                    { *m = GetServicesResponse{} }
func (m *GetServicesResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetServicesResponse) ProtoMessage()               {}
func (*GetServicesResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{29} }

func (m *GetServicesResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetServicesResponse) GetServices() []*MicroService {
	if m != nil {
		return m.Services
	}
	return nil
}

type UpdateServicePropsRequest struct {
	ServiceId  string            `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	Properties map[string]string `protobuf:"bytes,2,rep,name=properties" json:"properties,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
}

func (m *UpdateServicePropsRequest) Reset()                    { *m = UpdateServicePropsRequest{} }
func (m *UpdateServicePropsRequest) String() string            { return proto1.CompactTextString(m) }
func (*UpdateServicePropsRequest) ProtoMessage()               {}
func (*UpdateServicePropsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{30} }

func (m *UpdateServicePropsRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *UpdateServicePropsRequest) GetProperties() map[string]string {
	if m != nil {
		return m.Properties
	}
	return nil
}

type UpdateServicePropsResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *UpdateServicePropsResponse) Reset()                    { *m = UpdateServicePropsResponse{} }
func (m *UpdateServicePropsResponse) String() string            { return proto1.CompactTextString(m) }
func (*UpdateServicePropsResponse) ProtoMessage()               {}
func (*UpdateServicePropsResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{31} }

func (m *UpdateServicePropsResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type GetServiceRulesRequest struct {
	ServiceId string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
}

func (m *GetServiceRulesRequest) Reset()                    { *m = GetServiceRulesRequest{} }
func (m *GetServiceRulesRequest) String() string            { return proto1.CompactTextString(m) }
func (*GetServiceRulesRequest) ProtoMessage()               {}
func (*GetServiceRulesRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{32} }

func (m *GetServiceRulesRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

type GetServiceRulesResponse struct {
	Response *Response      `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Rules    []*ServiceRule `protobuf:"bytes,2,rep,name=rules" json:"rules,omitempty"`
}

func (m *GetServiceRulesResponse) Reset()                    { *m = GetServiceRulesResponse{} }
func (m *GetServiceRulesResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetServiceRulesResponse) ProtoMessage()               {}
func (*GetServiceRulesResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{33} }

func (m *GetServiceRulesResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetServiceRulesResponse) GetRules() []*ServiceRule {
	if m != nil {
		return m.Rules
	}
	return nil
}

type UpdateServiceRuleRequest struct {
	ServiceId string                  `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	RuleId    string                  `protobuf:"bytes,2,opt,name=ruleId" json:"ruleId,omitempty"`
	Rule      *AddOrUpdateServiceRule `protobuf:"bytes,3,opt,name=rule" json:"rule,omitempty"`
}

func (m *UpdateServiceRuleRequest) Reset()                    { *m = UpdateServiceRuleRequest{} }
func (m *UpdateServiceRuleRequest) String() string            { return proto1.CompactTextString(m) }
func (*UpdateServiceRuleRequest) ProtoMessage()               {}
func (*UpdateServiceRuleRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{34} }

func (m *UpdateServiceRuleRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *UpdateServiceRuleRequest) GetRuleId() string {
	if m != nil {
		return m.RuleId
	}
	return ""
}

func (m *UpdateServiceRuleRequest) GetRule() *AddOrUpdateServiceRule {
	if m != nil {
		return m.Rule
	}
	return nil
}

type UpdateServiceRuleResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *UpdateServiceRuleResponse) Reset()                    { *m = UpdateServiceRuleResponse{} }
func (m *UpdateServiceRuleResponse) String() string            { return proto1.CompactTextString(m) }
func (*UpdateServiceRuleResponse) ProtoMessage()               {}
func (*UpdateServiceRuleResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{35} }

func (m *UpdateServiceRuleResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type AddServiceRulesRequest struct {
	ServiceId string                    `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	Rules     []*AddOrUpdateServiceRule `protobuf:"bytes,2,rep,name=rules" json:"rules,omitempty"`
}

func (m *AddServiceRulesRequest) Reset()                    { *m = AddServiceRulesRequest{} }
func (m *AddServiceRulesRequest) String() string            { return proto1.CompactTextString(m) }
func (*AddServiceRulesRequest) ProtoMessage()               {}
func (*AddServiceRulesRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{36} }

func (m *AddServiceRulesRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *AddServiceRulesRequest) GetRules() []*AddOrUpdateServiceRule {
	if m != nil {
		return m.Rules
	}
	return nil
}

type AddServiceRulesResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	RuleIds  []string  `protobuf:"bytes,2,rep,name=RuleIds" json:"RuleIds,omitempty"`
}

func (m *AddServiceRulesResponse) Reset()                    { *m = AddServiceRulesResponse{} }
func (m *AddServiceRulesResponse) String() string            { return proto1.CompactTextString(m) }
func (*AddServiceRulesResponse) ProtoMessage()               {}
func (*AddServiceRulesResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{37} }

func (m *AddServiceRulesResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *AddServiceRulesResponse) GetRuleIds() []string {
	if m != nil {
		return m.RuleIds
	}
	return nil
}

type DeleteServiceRulesRequest struct {
	ServiceId string   `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	RuleIds   []string `protobuf:"bytes,2,rep,name=ruleIds" json:"ruleIds,omitempty"`
}

func (m *DeleteServiceRulesRequest) Reset()                    { *m = DeleteServiceRulesRequest{} }
func (m *DeleteServiceRulesRequest) String() string            { return proto1.CompactTextString(m) }
func (*DeleteServiceRulesRequest) ProtoMessage()               {}
func (*DeleteServiceRulesRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{38} }

func (m *DeleteServiceRulesRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *DeleteServiceRulesRequest) GetRuleIds() []string {
	if m != nil {
		return m.RuleIds
	}
	return nil
}

type DeleteServiceRulesResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *DeleteServiceRulesResponse) Reset()                    { *m = DeleteServiceRulesResponse{} }
func (m *DeleteServiceRulesResponse) String() string            { return proto1.CompactTextString(m) }
func (*DeleteServiceRulesResponse) ProtoMessage()               {}
func (*DeleteServiceRulesResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{39} }

func (m *DeleteServiceRulesResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type GetServiceTagsRequest struct {
	ServiceId string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
}

func (m *GetServiceTagsRequest) Reset()                    { *m = GetServiceTagsRequest{} }
func (m *GetServiceTagsRequest) String() string            { return proto1.CompactTextString(m) }
func (*GetServiceTagsRequest) ProtoMessage()               {}
func (*GetServiceTagsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{40} }

func (m *GetServiceTagsRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

type GetServiceTagsResponse struct {
	Response *Response         `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Tags     map[string]string `protobuf:"bytes,2,rep,name=tags" json:"tags,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
}

func (m *GetServiceTagsResponse) Reset()                    { *m = GetServiceTagsResponse{} }
func (m *GetServiceTagsResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetServiceTagsResponse) ProtoMessage()               {}
func (*GetServiceTagsResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{41} }

func (m *GetServiceTagsResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetServiceTagsResponse) GetTags() map[string]string {
	if m != nil {
		return m.Tags
	}
	return nil
}

type UpdateServiceTagRequest struct {
	ServiceId string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	Key       string `protobuf:"bytes,2,opt,name=key" json:"key,omitempty"`
	Value     string `protobuf:"bytes,3,opt,name=value" json:"value,omitempty"`
}

func (m *UpdateServiceTagRequest) Reset()                    { *m = UpdateServiceTagRequest{} }
func (m *UpdateServiceTagRequest) String() string            { return proto1.CompactTextString(m) }
func (*UpdateServiceTagRequest) ProtoMessage()               {}
func (*UpdateServiceTagRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{42} }

func (m *UpdateServiceTagRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *UpdateServiceTagRequest) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *UpdateServiceTagRequest) GetValue() string {
	if m != nil {
		return m.Value
	}
	return ""
}

type UpdateServiceTagResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *UpdateServiceTagResponse) Reset()                    { *m = UpdateServiceTagResponse{} }
func (m *UpdateServiceTagResponse) String() string            { return proto1.CompactTextString(m) }
func (*UpdateServiceTagResponse) ProtoMessage()               {}
func (*UpdateServiceTagResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{43} }

func (m *UpdateServiceTagResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type AddServiceTagsRequest struct {
	ServiceId string            `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	Tags      map[string]string `protobuf:"bytes,2,rep,name=tags" json:"tags,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
}

func (m *AddServiceTagsRequest) Reset()                    { *m = AddServiceTagsRequest{} }
func (m *AddServiceTagsRequest) String() string            { return proto1.CompactTextString(m) }
func (*AddServiceTagsRequest) ProtoMessage()               {}
func (*AddServiceTagsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{44} }

func (m *AddServiceTagsRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *AddServiceTagsRequest) GetTags() map[string]string {
	if m != nil {
		return m.Tags
	}
	return nil
}

type AddServiceTagsResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *AddServiceTagsResponse) Reset()                    { *m = AddServiceTagsResponse{} }
func (m *AddServiceTagsResponse) String() string            { return proto1.CompactTextString(m) }
func (*AddServiceTagsResponse) ProtoMessage()               {}
func (*AddServiceTagsResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{45} }

func (m *AddServiceTagsResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type DeleteServiceTagsRequest struct {
	ServiceId string   `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	Keys      []string `protobuf:"bytes,2,rep,name=keys" json:"keys,omitempty"`
}

func (m *DeleteServiceTagsRequest) Reset()                    { *m = DeleteServiceTagsRequest{} }
func (m *DeleteServiceTagsRequest) String() string            { return proto1.CompactTextString(m) }
func (*DeleteServiceTagsRequest) ProtoMessage()               {}
func (*DeleteServiceTagsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{46} }

func (m *DeleteServiceTagsRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *DeleteServiceTagsRequest) GetKeys() []string {
	if m != nil {
		return m.Keys
	}
	return nil
}

type DeleteServiceTagsResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *DeleteServiceTagsResponse) Reset()                    { *m = DeleteServiceTagsResponse{} }
func (m *DeleteServiceTagsResponse) String() string            { return proto1.CompactTextString(m) }
func (*DeleteServiceTagsResponse) ProtoMessage()               {}
func (*DeleteServiceTagsResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{47} }

func (m *DeleteServiceTagsResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type HealthCheck struct {
	Mode     string `protobuf:"bytes,1,opt,name=mode" json:"mode,omitempty"`
	Port     int32  `protobuf:"varint,2,opt,name=port" json:"port,omitempty"`
	Interval int32  `protobuf:"varint,3,opt,name=interval" json:"interval,omitempty"`
	Times    int32  `protobuf:"varint,4,opt,name=times" json:"times,omitempty"`
	Url      string `protobuf:"bytes,5,opt,name=url" json:"url,omitempty"`
}

func (m *HealthCheck) Reset()                    { *m = HealthCheck{} }
func (m *HealthCheck) String() string            { return proto1.CompactTextString(m) }
func (*HealthCheck) ProtoMessage()               {}
func (*HealthCheck) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{48} }

func (m *HealthCheck) GetMode() string {
	if m != nil {
		return m.Mode
	}
	return ""
}

func (m *HealthCheck) GetPort() int32 {
	if m != nil {
		return m.Port
	}
	return 0
}

func (m *HealthCheck) GetInterval() int32 {
	if m != nil {
		return m.Interval
	}
	return 0
}

func (m *HealthCheck) GetTimes() int32 {
	if m != nil {
		return m.Times
	}
	return 0
}

func (m *HealthCheck) GetUrl() string {
	if m != nil {
		return m.Url
	}
	return ""
}

type MicroServiceInstance struct {
	InstanceId     string            `protobuf:"bytes,1,opt,name=instanceId" json:"instanceId,omitempty"`
	ServiceId      string            `protobuf:"bytes,2,opt,name=serviceId" json:"serviceId,omitempty"`
	Endpoints      []string          `protobuf:"bytes,3,rep,name=endpoints" json:"endpoints,omitempty"`
	HostName       string            `protobuf:"bytes,4,opt,name=hostName" json:"hostName,omitempty"`
	Status         string            `protobuf:"bytes,5,opt,name=status" json:"status,omitempty"`
	Properties     map[string]string `protobuf:"bytes,6,rep,name=properties" json:"properties,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	HealthCheck    *HealthCheck      `protobuf:"bytes,7,opt,name=healthCheck" json:"healthCheck,omitempty"`
	Timestamp      string            `protobuf:"bytes,8,opt,name=timestamp" json:"timestamp,omitempty"`
	DataCenterInfo *DataCenterInfo   `protobuf:"bytes,9,opt,name=dataCenterInfo" json:"dataCenterInfo,omitempty"`
	ModTimestamp   string            `protobuf:"bytes,10,opt,name=modTimestamp" json:"modTimestamp,omitempty"`
	Version        string            `protobuf:"bytes,11,opt,name=version" json:"version,omitempty"`
}

func (m *MicroServiceInstance) Reset()                    { *m = MicroServiceInstance{} }
func (m *MicroServiceInstance) String() string            { return proto1.CompactTextString(m) }
func (*MicroServiceInstance) ProtoMessage()               {}
func (*MicroServiceInstance) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{49} }

func (m *MicroServiceInstance) GetInstanceId() string {
	if m != nil {
		return m.InstanceId
	}
	return ""
}

func (m *MicroServiceInstance) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *MicroServiceInstance) GetEndpoints() []string {
	if m != nil {
		return m.Endpoints
	}
	return nil
}

func (m *MicroServiceInstance) GetHostName() string {
	if m != nil {
		return m.HostName
	}
	return ""
}

func (m *MicroServiceInstance) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *MicroServiceInstance) GetProperties() map[string]string {
	if m != nil {
		return m.Properties
	}
	return nil
}

func (m *MicroServiceInstance) GetHealthCheck() *HealthCheck {
	if m != nil {
		return m.HealthCheck
	}
	return nil
}

func (m *MicroServiceInstance) GetTimestamp() string {
	if m != nil {
		return m.Timestamp
	}
	return ""
}

func (m *MicroServiceInstance) GetDataCenterInfo() *DataCenterInfo {
	if m != nil {
		return m.DataCenterInfo
	}
	return nil
}

func (m *MicroServiceInstance) GetModTimestamp() string {
	if m != nil {
		return m.ModTimestamp
	}
	return ""
}

func (m *MicroServiceInstance) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

type DataCenterInfo struct {
	Name          string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	Region        string `protobuf:"bytes,2,opt,name=region" json:"region,omitempty"`
	AvailableZone string `protobuf:"bytes,3,opt,name=availableZone" json:"availableZone,omitempty"`
}

func (m *DataCenterInfo) Reset()                    { *m = DataCenterInfo{} }
func (m *DataCenterInfo) String() string            { return proto1.CompactTextString(m) }
func (*DataCenterInfo) ProtoMessage()               {}
func (*DataCenterInfo) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{50} }

func (m *DataCenterInfo) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *DataCenterInfo) GetRegion() string {
	if m != nil {
		return m.Region
	}
	return ""
}

func (m *DataCenterInfo) GetAvailableZone() string {
	if m != nil {
		return m.AvailableZone
	}
	return ""
}

type MicroServiceInstanceKey struct {
	InstanceId string `protobuf:"bytes,1,opt,name=instanceId" json:"instanceId,omitempty"`
	ServiceId  string `protobuf:"bytes,2,opt,name=serviceId" json:"serviceId,omitempty"`
}

func (m *MicroServiceInstanceKey) Reset()                    { *m = MicroServiceInstanceKey{} }
func (m *MicroServiceInstanceKey) String() string            { return proto1.CompactTextString(m) }
func (*MicroServiceInstanceKey) ProtoMessage()               {}
func (*MicroServiceInstanceKey) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{51} }

func (m *MicroServiceInstanceKey) GetInstanceId() string {
	if m != nil {
		return m.InstanceId
	}
	return ""
}

func (m *MicroServiceInstanceKey) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

type RegisterInstanceRequest struct {
	Instance *MicroServiceInstance `protobuf:"bytes,1,opt,name=instance" json:"instance,omitempty"`
}

func (m *RegisterInstanceRequest) Reset()                    { *m = RegisterInstanceRequest{} }
func (m *RegisterInstanceRequest) String() string            { return proto1.CompactTextString(m) }
func (*RegisterInstanceRequest) ProtoMessage()               {}
func (*RegisterInstanceRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{52} }

func (m *RegisterInstanceRequest) GetInstance() *MicroServiceInstance {
	if m != nil {
		return m.Instance
	}
	return nil
}

type RegisterInstanceResponse struct {
	Response   *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	InstanceId string    `protobuf:"bytes,2,opt,name=instanceId" json:"instanceId,omitempty"`
}

func (m *RegisterInstanceResponse) Reset()                    { *m = RegisterInstanceResponse{} }
func (m *RegisterInstanceResponse) String() string            { return proto1.CompactTextString(m) }
func (*RegisterInstanceResponse) ProtoMessage()               {}
func (*RegisterInstanceResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{53} }

func (m *RegisterInstanceResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *RegisterInstanceResponse) GetInstanceId() string {
	if m != nil {
		return m.InstanceId
	}
	return ""
}

type UnregisterInstanceRequest struct {
	ServiceId  string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	InstanceId string `protobuf:"bytes,2,opt,name=instanceId" json:"instanceId,omitempty"`
}

func (m *UnregisterInstanceRequest) Reset()                    { *m = UnregisterInstanceRequest{} }
func (m *UnregisterInstanceRequest) String() string            { return proto1.CompactTextString(m) }
func (*UnregisterInstanceRequest) ProtoMessage()               {}
func (*UnregisterInstanceRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{54} }

func (m *UnregisterInstanceRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *UnregisterInstanceRequest) GetInstanceId() string {
	if m != nil {
		return m.InstanceId
	}
	return ""
}

type UnregisterInstanceResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *UnregisterInstanceResponse) Reset()                    { *m = UnregisterInstanceResponse{} }
func (m *UnregisterInstanceResponse) String() string            { return proto1.CompactTextString(m) }
func (*UnregisterInstanceResponse) ProtoMessage()               {}
func (*UnregisterInstanceResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{55} }

func (m *UnregisterInstanceResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type HeartbeatRequest struct {
	ServiceId  string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	InstanceId string `protobuf:"bytes,2,opt,name=instanceId" json:"instanceId,omitempty"`
}

func (m *HeartbeatRequest) Reset()                    { *m = HeartbeatRequest{} }
func (m *HeartbeatRequest) String() string            { return proto1.CompactTextString(m) }
func (*HeartbeatRequest) ProtoMessage()               {}
func (*HeartbeatRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{56} }

func (m *HeartbeatRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *HeartbeatRequest) GetInstanceId() string {
	if m != nil {
		return m.InstanceId
	}
	return ""
}

type HeartbeatResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *HeartbeatResponse) Reset()                    { *m = HeartbeatResponse{} }
func (m *HeartbeatResponse) String() string            { return proto1.CompactTextString(m) }
func (*HeartbeatResponse) ProtoMessage()               {}
func (*HeartbeatResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{57} }

func (m *HeartbeatResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type FindInstancesRequest struct {
	ConsumerServiceId string   `protobuf:"bytes,1,opt,name=consumerServiceId" json:"consumerServiceId,omitempty"`
	AppId             string   `protobuf:"bytes,2,opt,name=appId" json:"appId,omitempty"`
	ServiceName       string   `protobuf:"bytes,3,opt,name=serviceName" json:"serviceName,omitempty"`
	VersionRule       string   `protobuf:"bytes,4,opt,name=versionRule" json:"versionRule,omitempty"`
	Tags              []string `protobuf:"bytes,5,rep,name=tags" json:"tags,omitempty"`
}

func (m *FindInstancesRequest) Reset()                    { *m = FindInstancesRequest{} }
func (m *FindInstancesRequest) String() string            { return proto1.CompactTextString(m) }
func (*FindInstancesRequest) ProtoMessage()               {}
func (*FindInstancesRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{58} }

func (m *FindInstancesRequest) GetConsumerServiceId() string {
	if m != nil {
		return m.ConsumerServiceId
	}
	return ""
}

func (m *FindInstancesRequest) GetAppId() string {
	if m != nil {
		return m.AppId
	}
	return ""
}

func (m *FindInstancesRequest) GetServiceName() string {
	if m != nil {
		return m.ServiceName
	}
	return ""
}

func (m *FindInstancesRequest) GetVersionRule() string {
	if m != nil {
		return m.VersionRule
	}
	return ""
}

func (m *FindInstancesRequest) GetTags() []string {
	if m != nil {
		return m.Tags
	}
	return nil
}

type FindInstancesResponse struct {
	Response  *Response               `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Instances []*MicroServiceInstance `protobuf:"bytes,2,rep,name=instances" json:"instances,omitempty"`
}

func (m *FindInstancesResponse) Reset()                    { *m = FindInstancesResponse{} }
func (m *FindInstancesResponse) String() string            { return proto1.CompactTextString(m) }
func (*FindInstancesResponse) ProtoMessage()               {}
func (*FindInstancesResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{59} }

func (m *FindInstancesResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *FindInstancesResponse) GetInstances() []*MicroServiceInstance {
	if m != nil {
		return m.Instances
	}
	return nil
}

type GetOneInstanceRequest struct {
	ConsumerServiceId  string   `protobuf:"bytes,1,opt,name=consumerServiceId" json:"consumerServiceId,omitempty"`
	ProviderServiceId  string   `protobuf:"bytes,2,opt,name=providerServiceId" json:"providerServiceId,omitempty"`
	ProviderInstanceId string   `protobuf:"bytes,3,opt,name=providerInstanceId" json:"providerInstanceId,omitempty"`
	Tags               []string `protobuf:"bytes,4,rep,name=tags" json:"tags,omitempty"`
}

func (m *GetOneInstanceRequest) Reset()                    { *m = GetOneInstanceRequest{} }
func (m *GetOneInstanceRequest) String() string            { return proto1.CompactTextString(m) }
func (*GetOneInstanceRequest) ProtoMessage()               {}
func (*GetOneInstanceRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{60} }

func (m *GetOneInstanceRequest) GetConsumerServiceId() string {
	if m != nil {
		return m.ConsumerServiceId
	}
	return ""
}

func (m *GetOneInstanceRequest) GetProviderServiceId() string {
	if m != nil {
		return m.ProviderServiceId
	}
	return ""
}

func (m *GetOneInstanceRequest) GetProviderInstanceId() string {
	if m != nil {
		return m.ProviderInstanceId
	}
	return ""
}

func (m *GetOneInstanceRequest) GetTags() []string {
	if m != nil {
		return m.Tags
	}
	return nil
}

type GetOneInstanceResponse struct {
	Response *Response             `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Instance *MicroServiceInstance `protobuf:"bytes,2,opt,name=instance" json:"instance,omitempty"`
}

func (m *GetOneInstanceResponse) Reset()                    { *m = GetOneInstanceResponse{} }
func (m *GetOneInstanceResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetOneInstanceResponse) ProtoMessage()               {}
func (*GetOneInstanceResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{61} }

func (m *GetOneInstanceResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetOneInstanceResponse) GetInstance() *MicroServiceInstance {
	if m != nil {
		return m.Instance
	}
	return nil
}

type GetInstancesRequest struct {
	ConsumerServiceId string   `protobuf:"bytes,1,opt,name=consumerServiceId" json:"consumerServiceId,omitempty"`
	ProviderServiceId string   `protobuf:"bytes,2,opt,name=providerServiceId" json:"providerServiceId,omitempty"`
	Tags              []string `protobuf:"bytes,3,rep,name=tags" json:"tags,omitempty"`
}

func (m *GetInstancesRequest) Reset()                    { *m = GetInstancesRequest{} }
func (m *GetInstancesRequest) String() string            { return proto1.CompactTextString(m) }
func (*GetInstancesRequest) ProtoMessage()               {}
func (*GetInstancesRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{62} }

func (m *GetInstancesRequest) GetConsumerServiceId() string {
	if m != nil {
		return m.ConsumerServiceId
	}
	return ""
}

func (m *GetInstancesRequest) GetProviderServiceId() string {
	if m != nil {
		return m.ProviderServiceId
	}
	return ""
}

func (m *GetInstancesRequest) GetTags() []string {
	if m != nil {
		return m.Tags
	}
	return nil
}

type GetInstancesResponse struct {
	Response  *Response               `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Instances []*MicroServiceInstance `protobuf:"bytes,2,rep,name=instances" json:"instances,omitempty"`
}

func (m *GetInstancesResponse) Reset()                    { *m = GetInstancesResponse{} }
func (m *GetInstancesResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetInstancesResponse) ProtoMessage()               {}
func (*GetInstancesResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{63} }

func (m *GetInstancesResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetInstancesResponse) GetInstances() []*MicroServiceInstance {
	if m != nil {
		return m.Instances
	}
	return nil
}

type UpdateInstanceStatusRequest struct {
	ServiceId  string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	InstanceId string `protobuf:"bytes,2,opt,name=instanceId" json:"instanceId,omitempty"`
	Status     string `protobuf:"bytes,3,opt,name=status" json:"status,omitempty"`
}

func (m *UpdateInstanceStatusRequest) Reset()                    { *m = UpdateInstanceStatusRequest{} }
func (m *UpdateInstanceStatusRequest) String() string            { return proto1.CompactTextString(m) }
func (*UpdateInstanceStatusRequest) ProtoMessage()               {}
func (*UpdateInstanceStatusRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{64} }

func (m *UpdateInstanceStatusRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *UpdateInstanceStatusRequest) GetInstanceId() string {
	if m != nil {
		return m.InstanceId
	}
	return ""
}

func (m *UpdateInstanceStatusRequest) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type UpdateInstanceStatusResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *UpdateInstanceStatusResponse) Reset()                    { *m = UpdateInstanceStatusResponse{} }
func (m *UpdateInstanceStatusResponse) String() string            { return proto1.CompactTextString(m) }
func (*UpdateInstanceStatusResponse) ProtoMessage()               {}
func (*UpdateInstanceStatusResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{65} }

func (m *UpdateInstanceStatusResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type UpdateInstancePropsRequest struct {
	ServiceId  string            `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	InstanceId string            `protobuf:"bytes,2,opt,name=instanceId" json:"instanceId,omitempty"`
	Properties map[string]string `protobuf:"bytes,3,rep,name=properties" json:"properties,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
}

func (m *UpdateInstancePropsRequest) Reset()                    { *m = UpdateInstancePropsRequest{} }
func (m *UpdateInstancePropsRequest) String() string            { return proto1.CompactTextString(m) }
func (*UpdateInstancePropsRequest) ProtoMessage()               {}
func (*UpdateInstancePropsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{66} }

func (m *UpdateInstancePropsRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *UpdateInstancePropsRequest) GetInstanceId() string {
	if m != nil {
		return m.InstanceId
	}
	return ""
}

func (m *UpdateInstancePropsRequest) GetProperties() map[string]string {
	if m != nil {
		return m.Properties
	}
	return nil
}

type UpdateInstancePropsResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *UpdateInstancePropsResponse) Reset()                    { *m = UpdateInstancePropsResponse{} }
func (m *UpdateInstancePropsResponse) String() string            { return proto1.CompactTextString(m) }
func (*UpdateInstancePropsResponse) ProtoMessage()               {}
func (*UpdateInstancePropsResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{67} }

func (m *UpdateInstancePropsResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type WatchInstanceRequest struct {
	SelfServiceId string `protobuf:"bytes,1,opt,name=selfServiceId" json:"selfServiceId,omitempty"`
}

func (m *WatchInstanceRequest) Reset()                    { *m = WatchInstanceRequest{} }
func (m *WatchInstanceRequest) String() string            { return proto1.CompactTextString(m) }
func (*WatchInstanceRequest) ProtoMessage()               {}
func (*WatchInstanceRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{68} }

func (m *WatchInstanceRequest) GetSelfServiceId() string {
	if m != nil {
		return m.SelfServiceId
	}
	return ""
}

type WatchInstanceResponse struct {
	Response *Response             `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Action   string                `protobuf:"bytes,2,opt,name=action" json:"action,omitempty"`
	Key      *MicroServiceKey      `protobuf:"bytes,3,opt,name=key" json:"key,omitempty"`
	Instance *MicroServiceInstance `protobuf:"bytes,4,opt,name=instance" json:"instance,omitempty"`
}

func (m *WatchInstanceResponse) Reset()                    { *m = WatchInstanceResponse{} }
func (m *WatchInstanceResponse) String() string            { return proto1.CompactTextString(m) }
func (*WatchInstanceResponse) ProtoMessage()               {}
func (*WatchInstanceResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{69} }

func (m *WatchInstanceResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *WatchInstanceResponse) GetAction() string {
	if m != nil {
		return m.Action
	}
	return ""
}

func (m *WatchInstanceResponse) GetKey() *MicroServiceKey {
	if m != nil {
		return m.Key
	}
	return nil
}

func (m *WatchInstanceResponse) GetInstance() *MicroServiceInstance {
	if m != nil {
		return m.Instance
	}
	return nil
}

type GetSchemaRequest struct {
	ServiceId string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	SchemaId  string `protobuf:"bytes,2,opt,name=schemaId" json:"schemaId,omitempty"`
}

func (m *GetSchemaRequest) Reset()                    { *m = GetSchemaRequest{} }
func (m *GetSchemaRequest) String() string            { return proto1.CompactTextString(m) }
func (*GetSchemaRequest) ProtoMessage()               {}
func (*GetSchemaRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{70} }

func (m *GetSchemaRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *GetSchemaRequest) GetSchemaId() string {
	if m != nil {
		return m.SchemaId
	}
	return ""
}

type GetAllSchemaRequest struct {
	ServiceId  string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	WithSchema bool   `protobuf:"varint,2,opt,name=withSchema" json:"withSchema,omitempty"`
}

func (m *GetAllSchemaRequest) Reset()                    { *m = GetAllSchemaRequest{} }
func (m *GetAllSchemaRequest) String() string            { return proto1.CompactTextString(m) }
func (*GetAllSchemaRequest) ProtoMessage()               {}
func (*GetAllSchemaRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{71} }

func (m *GetAllSchemaRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *GetAllSchemaRequest) GetWithSchema() bool {
	if m != nil {
		return m.WithSchema
	}
	return false
}

type GetSchemaResponse struct {
	Response      *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Schema        string    `protobuf:"bytes,2,opt,name=schema" json:"schema,omitempty"`
	SchemaSummary string    `protobuf:"bytes,3,opt,name=schemaSummary" json:"schemaSummary,omitempty"`
}

func (m *GetSchemaResponse) Reset()                    { *m = GetSchemaResponse{} }
func (m *GetSchemaResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetSchemaResponse) ProtoMessage()               {}
func (*GetSchemaResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{72} }

func (m *GetSchemaResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetSchemaResponse) GetSchema() string {
	if m != nil {
		return m.Schema
	}
	return ""
}

func (m *GetSchemaResponse) GetSchemaSummary() string {
	if m != nil {
		return m.SchemaSummary
	}
	return ""
}

type GetAllSchemaResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Schema   []*Schema `protobuf:"bytes,2,rep,name=schema" json:"schema,omitempty"`
}

func (m *GetAllSchemaResponse) Reset()                    { *m = GetAllSchemaResponse{} }
func (m *GetAllSchemaResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetAllSchemaResponse) ProtoMessage()               {}
func (*GetAllSchemaResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{73} }

func (m *GetAllSchemaResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetAllSchemaResponse) GetSchema() []*Schema {
	if m != nil {
		return m.Schema
	}
	return nil
}

type DeleteSchemaRequest struct {
	ServiceId string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	SchemaId  string `protobuf:"bytes,2,opt,name=schemaId" json:"schemaId,omitempty"`
}

func (m *DeleteSchemaRequest) Reset()                    { *m = DeleteSchemaRequest{} }
func (m *DeleteSchemaRequest) String() string            { return proto1.CompactTextString(m) }
func (*DeleteSchemaRequest) ProtoMessage()               {}
func (*DeleteSchemaRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{74} }

func (m *DeleteSchemaRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *DeleteSchemaRequest) GetSchemaId() string {
	if m != nil {
		return m.SchemaId
	}
	return ""
}

type DeleteSchemaResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *DeleteSchemaResponse) Reset()                    { *m = DeleteSchemaResponse{} }
func (m *DeleteSchemaResponse) String() string            { return proto1.CompactTextString(m) }
func (*DeleteSchemaResponse) ProtoMessage()               {}
func (*DeleteSchemaResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{75} }

func (m *DeleteSchemaResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type ModifySchemaRequest struct {
	ServiceId string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	SchemaId  string `protobuf:"bytes,2,opt,name=schemaId" json:"schemaId,omitempty"`
	Schema    string `protobuf:"bytes,3,opt,name=schema" json:"schema,omitempty"`
	Summary   string `protobuf:"bytes,4,opt,name=summary" json:"summary,omitempty"`
}

func (m *ModifySchemaRequest) Reset()                    { *m = ModifySchemaRequest{} }
func (m *ModifySchemaRequest) String() string            { return proto1.CompactTextString(m) }
func (*ModifySchemaRequest) ProtoMessage()               {}
func (*ModifySchemaRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{76} }

func (m *ModifySchemaRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *ModifySchemaRequest) GetSchemaId() string {
	if m != nil {
		return m.SchemaId
	}
	return ""
}

func (m *ModifySchemaRequest) GetSchema() string {
	if m != nil {
		return m.Schema
	}
	return ""
}

func (m *ModifySchemaRequest) GetSummary() string {
	if m != nil {
		return m.Summary
	}
	return ""
}

type ModifySchemaResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *ModifySchemaResponse) Reset()                    { *m = ModifySchemaResponse{} }
func (m *ModifySchemaResponse) String() string            { return proto1.CompactTextString(m) }
func (*ModifySchemaResponse) ProtoMessage()               {}
func (*ModifySchemaResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{77} }

func (m *ModifySchemaResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type AddDependenciesRequest struct {
	Dependencies []*ConsumerDependency `protobuf:"bytes,1,rep,name=dependencies" json:"dependencies,omitempty"`
}

func (m *AddDependenciesRequest) Reset()                    { *m = AddDependenciesRequest{} }
func (m *AddDependenciesRequest) String() string            { return proto1.CompactTextString(m) }
func (*AddDependenciesRequest) ProtoMessage()               {}
func (*AddDependenciesRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{78} }

func (m *AddDependenciesRequest) GetDependencies() []*ConsumerDependency {
	if m != nil {
		return m.Dependencies
	}
	return nil
}

type AddDependenciesResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *AddDependenciesResponse) Reset()                    { *m = AddDependenciesResponse{} }
func (m *AddDependenciesResponse) String() string            { return proto1.CompactTextString(m) }
func (*AddDependenciesResponse) ProtoMessage()               {}
func (*AddDependenciesResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{79} }

func (m *AddDependenciesResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type CreateDependenciesRequest struct {
	Dependencies []*ConsumerDependency `protobuf:"bytes,1,rep,name=dependencies" json:"dependencies,omitempty"`
}

func (m *CreateDependenciesRequest) Reset()                    { *m = CreateDependenciesRequest{} }
func (m *CreateDependenciesRequest) String() string            { return proto1.CompactTextString(m) }
func (*CreateDependenciesRequest) ProtoMessage()               {}
func (*CreateDependenciesRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{80} }

func (m *CreateDependenciesRequest) GetDependencies() []*ConsumerDependency {
	if m != nil {
		return m.Dependencies
	}
	return nil
}

type ConsumerDependency struct {
	Consumer  *MicroServiceKey   `protobuf:"bytes,1,opt,name=consumer" json:"consumer,omitempty"`
	Providers []*MicroServiceKey `protobuf:"bytes,2,rep,name=providers" json:"providers,omitempty"`
	Override  bool               `protobuf:"varint,3,opt,name=override" json:"override,omitempty"`
}

func (m *ConsumerDependency) Reset()                    { *m = ConsumerDependency{} }
func (m *ConsumerDependency) String() string            { return proto1.CompactTextString(m) }
func (*ConsumerDependency) ProtoMessage()               {}
func (*ConsumerDependency) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{81} }

func (m *ConsumerDependency) GetConsumer() *MicroServiceKey {
	if m != nil {
		return m.Consumer
	}
	return nil
}

func (m *ConsumerDependency) GetProviders() []*MicroServiceKey {
	if m != nil {
		return m.Providers
	}
	return nil
}

func (m *ConsumerDependency) GetOverride() bool {
	if m != nil {
		return m.Override
	}
	return false
}

type CreateDependenciesResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
}

func (m *CreateDependenciesResponse) Reset()                    { *m = CreateDependenciesResponse{} }
func (m *CreateDependenciesResponse) String() string            { return proto1.CompactTextString(m) }
func (*CreateDependenciesResponse) ProtoMessage()               {}
func (*CreateDependenciesResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{82} }

func (m *CreateDependenciesResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

type GetDependenciesRequest struct {
	ServiceId  string `protobuf:"bytes,1,opt,name=serviceId" json:"serviceId,omitempty"`
	SameDomain bool   `protobuf:"varint,2,opt,name=sameDomain" json:"sameDomain,omitempty"`
	NoSelf     bool   `protobuf:"varint,3,opt,name=noSelf" json:"noSelf,omitempty"`
}

func (m *GetDependenciesRequest) Reset()                    { *m = GetDependenciesRequest{} }
func (m *GetDependenciesRequest) String() string            { return proto1.CompactTextString(m) }
func (*GetDependenciesRequest) ProtoMessage()               {}
func (*GetDependenciesRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{83} }

func (m *GetDependenciesRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *GetDependenciesRequest) GetSameDomain() bool {
	if m != nil {
		return m.SameDomain
	}
	return false
}

func (m *GetDependenciesRequest) GetNoSelf() bool {
	if m != nil {
		return m.NoSelf
	}
	return false
}

type GetConDependenciesResponse struct {
	Response  *Response       `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Providers []*MicroService `protobuf:"bytes,2,rep,name=providers" json:"providers,omitempty"`
}

func (m *GetConDependenciesResponse) Reset()                    { *m = GetConDependenciesResponse{} }
func (m *GetConDependenciesResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetConDependenciesResponse) ProtoMessage()               {}
func (*GetConDependenciesResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{84} }

func (m *GetConDependenciesResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetConDependenciesResponse) GetProviders() []*MicroService {
	if m != nil {
		return m.Providers
	}
	return nil
}

type GetProDependenciesResponse struct {
	Response  *Response       `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Consumers []*MicroService `protobuf:"bytes,2,rep,name=consumers" json:"consumers,omitempty"`
}

func (m *GetProDependenciesResponse) Reset()                    { *m = GetProDependenciesResponse{} }
func (m *GetProDependenciesResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetProDependenciesResponse) ProtoMessage()               {}
func (*GetProDependenciesResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{85} }

func (m *GetProDependenciesResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetProDependenciesResponse) GetConsumers() []*MicroService {
	if m != nil {
		return m.Consumers
	}
	return nil
}

// 服务详情
type ServiceDetail struct {
	MicroService         *MicroService           `protobuf:"bytes,1,opt,name=microService" json:"microService,omitempty"`
	Instances            []*MicroServiceInstance `protobuf:"bytes,2,rep,name=instances" json:"instances,omitempty"`
	SchemaInfos          []*Schema               `protobuf:"bytes,3,rep,name=schemaInfos" json:"schemaInfos,omitempty"`
	Rules                []*ServiceRule          `protobuf:"bytes,4,rep,name=rules" json:"rules,omitempty"`
	Providers            []*MicroService         `protobuf:"bytes,5,rep,name=providers" json:"providers,omitempty"`
	Consumers            []*MicroService         `protobuf:"bytes,6,rep,name=consumers" json:"consumers,omitempty"`
	Tags                 map[string]string       `protobuf:"bytes,7,rep,name=tags" json:"tags,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	MicroServiceVersions []string                `protobuf:"bytes,8,rep,name=microServiceVersions" json:"microServiceVersions,omitempty"`
	Statics              *Statistics             `protobuf:"bytes,9,opt,name=statics" json:"statics,omitempty"`
}

func (m *ServiceDetail) Reset()                    { *m = ServiceDetail{} }
func (m *ServiceDetail) String() string            { return proto1.CompactTextString(m) }
func (*ServiceDetail) ProtoMessage()               {}
func (*ServiceDetail) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{86} }

func (m *ServiceDetail) GetMicroService() *MicroService {
	if m != nil {
		return m.MicroService
	}
	return nil
}

func (m *ServiceDetail) GetInstances() []*MicroServiceInstance {
	if m != nil {
		return m.Instances
	}
	return nil
}

func (m *ServiceDetail) GetSchemaInfos() []*Schema {
	if m != nil {
		return m.SchemaInfos
	}
	return nil
}

func (m *ServiceDetail) GetRules() []*ServiceRule {
	if m != nil {
		return m.Rules
	}
	return nil
}

func (m *ServiceDetail) GetProviders() []*MicroService {
	if m != nil {
		return m.Providers
	}
	return nil
}

func (m *ServiceDetail) GetConsumers() []*MicroService {
	if m != nil {
		return m.Consumers
	}
	return nil
}

func (m *ServiceDetail) GetTags() map[string]string {
	if m != nil {
		return m.Tags
	}
	return nil
}

func (m *ServiceDetail) GetMicroServiceVersions() []string {
	if m != nil {
		return m.MicroServiceVersions
	}
	return nil
}

func (m *ServiceDetail) GetStatics() *Statistics {
	if m != nil {
		return m.Statics
	}
	return nil
}

// 服务详情返回信息
type GetServiceDetailResponse struct {
	Response *Response      `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Service  *ServiceDetail `protobuf:"bytes,2,opt,name=service" json:"service,omitempty"`
}

func (m *GetServiceDetailResponse) Reset()                    { *m = GetServiceDetailResponse{} }
func (m *GetServiceDetailResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetServiceDetailResponse) ProtoMessage()               {}
func (*GetServiceDetailResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{87} }

func (m *GetServiceDetailResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetServiceDetailResponse) GetService() *ServiceDetail {
	if m != nil {
		return m.Service
	}
	return nil
}

// 删除服务请求
type DelServicesRequest struct {
	ServiceIds []string `protobuf:"bytes,1,rep,name=serviceIds" json:"serviceIds,omitempty"`
	Force      bool     `protobuf:"varint,2,opt,name=force" json:"force,omitempty"`
}

func (m *DelServicesRequest) Reset()                    { *m = DelServicesRequest{} }
func (m *DelServicesRequest) String() string            { return proto1.CompactTextString(m) }
func (*DelServicesRequest) ProtoMessage()               {}
func (*DelServicesRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{88} }

func (m *DelServicesRequest) GetServiceIds() []string {
	if m != nil {
		return m.ServiceIds
	}
	return nil
}

func (m *DelServicesRequest) GetForce() bool {
	if m != nil {
		return m.Force
	}
	return false
}

// 删除服务响应内容
type DelServicesRspInfo struct {
	ErrMessage string `protobuf:"bytes,1,opt,name=errMessage" json:"errMessage,omitempty"`
	ServiceId  string `protobuf:"bytes,2,opt,name=serviceId" json:"serviceId,omitempty"`
}

func (m *DelServicesRspInfo) Reset()                    { *m = DelServicesRspInfo{} }
func (m *DelServicesRspInfo) String() string            { return proto1.CompactTextString(m) }
func (*DelServicesRspInfo) ProtoMessage()               {}
func (*DelServicesRspInfo) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{89} }

func (m *DelServicesRspInfo) GetErrMessage() string {
	if m != nil {
		return m.ErrMessage
	}
	return ""
}

func (m *DelServicesRspInfo) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

// 删除服务响应
type DelServicesResponse struct {
	Response *Response             `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	Services []*DelServicesRspInfo `protobuf:"bytes,2,rep,name=services" json:"services,omitempty"`
}

func (m *DelServicesResponse) Reset()                    { *m = DelServicesResponse{} }
func (m *DelServicesResponse) String() string            { return proto1.CompactTextString(m) }
func (*DelServicesResponse) ProtoMessage()               {}
func (*DelServicesResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{90} }

func (m *DelServicesResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *DelServicesResponse) GetServices() []*DelServicesRspInfo {
	if m != nil {
		return m.Services
	}
	return nil
}

type GetAppsRequest struct {
	Environment string `protobuf:"bytes,1,opt,name=environment" json:"environment,omitempty"`
}

func (m *GetAppsRequest) Reset()                    { *m = GetAppsRequest{} }
func (m *GetAppsRequest) String() string            { return proto1.CompactTextString(m) }
func (*GetAppsRequest) ProtoMessage()               {}
func (*GetAppsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{91} }

func (m *GetAppsRequest) GetEnvironment() string {
	if m != nil {
		return m.Environment
	}
	return ""
}

type GetAppsResponse struct {
	Response *Response `protobuf:"bytes,1,opt,name=response" json:"response,omitempty"`
	AppIds   []string  `protobuf:"bytes,2,rep,name=appIds" json:"appIds,omitempty"`
}

func (m *GetAppsResponse) Reset()                    { *m = GetAppsResponse{} }
func (m *GetAppsResponse) String() string            { return proto1.CompactTextString(m) }
func (*GetAppsResponse) ProtoMessage()               {}
func (*GetAppsResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{92} }

func (m *GetAppsResponse) GetResponse() *Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *GetAppsResponse) GetAppIds() []string {
	if m != nil {
		return m.AppIds
	}
	return nil
}

func init() {
	proto1.RegisterType((*ModifySchemasRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.ModifySchemasRequest")
	proto1.RegisterType((*Schema)(nil), "com.huawei.paas.cse.serviceregistry.api.Schema")
	proto1.RegisterType((*ModifySchemasResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.ModifySchemasResponse")
	proto1.RegisterType((*HeartbeatSetRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.HeartbeatSetRequest")
	proto1.RegisterType((*HeartbeatSetElement)(nil), "com.huawei.paas.cse.serviceregistry.api.HeartbeatSetElement")
	proto1.RegisterType((*HeartbeatSetResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.HeartbeatSetResponse")
	proto1.RegisterType((*InstanceHbRst)(nil), "com.huawei.paas.cse.serviceregistry.api.InstanceHbRst")
	proto1.RegisterType((*StService)(nil), "com.huawei.paas.cse.serviceregistry.api.StService")
	proto1.RegisterType((*StInstance)(nil), "com.huawei.paas.cse.serviceregistry.api.StInstance")
	proto1.RegisterType((*StApp)(nil), "com.huawei.paas.cse.serviceregistry.api.StApp")
	proto1.RegisterType((*Statistics)(nil), "com.huawei.paas.cse.serviceregistry.api.Statistics")
	proto1.RegisterType((*GetServicesInfoRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.GetServicesInfoRequest")
	proto1.RegisterType((*GetServicesInfoResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetServicesInfoResponse")
	proto1.RegisterType((*MicroServiceKey)(nil), "com.huawei.paas.cse.serviceregistry.api.MicroServiceKey")
	proto1.RegisterType((*MicroService)(nil), "com.huawei.paas.cse.serviceregistry.api.MicroService")
	proto1.RegisterType((*FrameWorkProperty)(nil), "com.huawei.paas.cse.serviceregistry.api.FrameWorkProperty")
	proto1.RegisterType((*ServiceRule)(nil), "com.huawei.paas.cse.serviceregistry.api.ServiceRule")
	proto1.RegisterType((*AddOrUpdateServiceRule)(nil), "com.huawei.paas.cse.serviceregistry.api.AddOrUpdateServiceRule")
	proto1.RegisterType((*ServicePath)(nil), "com.huawei.paas.cse.serviceregistry.api.ServicePath")
	proto1.RegisterType((*Response)(nil), "com.huawei.paas.cse.serviceregistry.api.Response")
	proto1.RegisterType((*GetExistenceRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.GetExistenceRequest")
	proto1.RegisterType((*GetExistenceResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetExistenceResponse")
	proto1.RegisterType((*CreateServiceRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.CreateServiceRequest")
	proto1.RegisterType((*CreateServiceResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.CreateServiceResponse")
	proto1.RegisterType((*DeleteServiceRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.DeleteServiceRequest")
	proto1.RegisterType((*DeleteServiceResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.DeleteServiceResponse")
	proto1.RegisterType((*GetServiceRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.GetServiceRequest")
	proto1.RegisterType((*GetServiceResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetServiceResponse")
	proto1.RegisterType((*GetServicesRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.GetServicesRequest")
	proto1.RegisterType((*GetServicesResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetServicesResponse")
	proto1.RegisterType((*UpdateServicePropsRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.UpdateServicePropsRequest")
	proto1.RegisterType((*UpdateServicePropsResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.UpdateServicePropsResponse")
	proto1.RegisterType((*GetServiceRulesRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.GetServiceRulesRequest")
	proto1.RegisterType((*GetServiceRulesResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetServiceRulesResponse")
	proto1.RegisterType((*UpdateServiceRuleRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.UpdateServiceRuleRequest")
	proto1.RegisterType((*UpdateServiceRuleResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.UpdateServiceRuleResponse")
	proto1.RegisterType((*AddServiceRulesRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.AddServiceRulesRequest")
	proto1.RegisterType((*AddServiceRulesResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.AddServiceRulesResponse")
	proto1.RegisterType((*DeleteServiceRulesRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.DeleteServiceRulesRequest")
	proto1.RegisterType((*DeleteServiceRulesResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.DeleteServiceRulesResponse")
	proto1.RegisterType((*GetServiceTagsRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.GetServiceTagsRequest")
	proto1.RegisterType((*GetServiceTagsResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetServiceTagsResponse")
	proto1.RegisterType((*UpdateServiceTagRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.UpdateServiceTagRequest")
	proto1.RegisterType((*UpdateServiceTagResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.UpdateServiceTagResponse")
	proto1.RegisterType((*AddServiceTagsRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.AddServiceTagsRequest")
	proto1.RegisterType((*AddServiceTagsResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.AddServiceTagsResponse")
	proto1.RegisterType((*DeleteServiceTagsRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.DeleteServiceTagsRequest")
	proto1.RegisterType((*DeleteServiceTagsResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.DeleteServiceTagsResponse")
	proto1.RegisterType((*HealthCheck)(nil), "com.huawei.paas.cse.serviceregistry.api.HealthCheck")
	proto1.RegisterType((*MicroServiceInstance)(nil), "com.huawei.paas.cse.serviceregistry.api.MicroServiceInstance")
	proto1.RegisterType((*DataCenterInfo)(nil), "com.huawei.paas.cse.serviceregistry.api.DataCenterInfo")
	proto1.RegisterType((*MicroServiceInstanceKey)(nil), "com.huawei.paas.cse.serviceregistry.api.MicroServiceInstanceKey")
	proto1.RegisterType((*RegisterInstanceRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.RegisterInstanceRequest")
	proto1.RegisterType((*RegisterInstanceResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.RegisterInstanceResponse")
	proto1.RegisterType((*UnregisterInstanceRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.UnregisterInstanceRequest")
	proto1.RegisterType((*UnregisterInstanceResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.UnregisterInstanceResponse")
	proto1.RegisterType((*HeartbeatRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.HeartbeatRequest")
	proto1.RegisterType((*HeartbeatResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.HeartbeatResponse")
	proto1.RegisterType((*FindInstancesRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.FindInstancesRequest")
	proto1.RegisterType((*FindInstancesResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.FindInstancesResponse")
	proto1.RegisterType((*GetOneInstanceRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.GetOneInstanceRequest")
	proto1.RegisterType((*GetOneInstanceResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetOneInstanceResponse")
	proto1.RegisterType((*GetInstancesRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.GetInstancesRequest")
	proto1.RegisterType((*GetInstancesResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetInstancesResponse")
	proto1.RegisterType((*UpdateInstanceStatusRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.UpdateInstanceStatusRequest")
	proto1.RegisterType((*UpdateInstanceStatusResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.UpdateInstanceStatusResponse")
	proto1.RegisterType((*UpdateInstancePropsRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.UpdateInstancePropsRequest")
	proto1.RegisterType((*UpdateInstancePropsResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.UpdateInstancePropsResponse")
	proto1.RegisterType((*WatchInstanceRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.WatchInstanceRequest")
	proto1.RegisterType((*WatchInstanceResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.WatchInstanceResponse")
	proto1.RegisterType((*GetSchemaRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.GetSchemaRequest")
	proto1.RegisterType((*GetAllSchemaRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.GetAllSchemaRequest")
	proto1.RegisterType((*GetSchemaResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetSchemaResponse")
	proto1.RegisterType((*GetAllSchemaResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetAllSchemaResponse")
	proto1.RegisterType((*DeleteSchemaRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.DeleteSchemaRequest")
	proto1.RegisterType((*DeleteSchemaResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.DeleteSchemaResponse")
	proto1.RegisterType((*ModifySchemaRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.ModifySchemaRequest")
	proto1.RegisterType((*ModifySchemaResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.ModifySchemaResponse")
	proto1.RegisterType((*AddDependenciesRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.AddDependenciesRequest")
	proto1.RegisterType((*AddDependenciesResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.AddDependenciesResponse")
	proto1.RegisterType((*CreateDependenciesRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.CreateDependenciesRequest")
	proto1.RegisterType((*ConsumerDependency)(nil), "com.huawei.paas.cse.serviceregistry.api.ConsumerDependency")
	proto1.RegisterType((*CreateDependenciesResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.CreateDependenciesResponse")
	proto1.RegisterType((*GetDependenciesRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.GetDependenciesRequest")
	proto1.RegisterType((*GetConDependenciesResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetConDependenciesResponse")
	proto1.RegisterType((*GetProDependenciesResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetProDependenciesResponse")
	proto1.RegisterType((*ServiceDetail)(nil), "com.huawei.paas.cse.serviceregistry.api.ServiceDetail")
	proto1.RegisterType((*GetServiceDetailResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetServiceDetailResponse")
	proto1.RegisterType((*DelServicesRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.DelServicesRequest")
	proto1.RegisterType((*DelServicesRspInfo)(nil), "com.huawei.paas.cse.serviceregistry.api.DelServicesRspInfo")
	proto1.RegisterType((*DelServicesResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.DelServicesResponse")
	proto1.RegisterType((*GetAppsRequest)(nil), "com.huawei.paas.cse.serviceregistry.api.GetAppsRequest")
	proto1.RegisterType((*GetAppsResponse)(nil), "com.huawei.paas.cse.serviceregistry.api.GetAppsResponse")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for ServiceCtrl service

type ServiceCtrlClient interface {
	Exist(ctx context.Context, in *GetExistenceRequest, opts ...grpc.CallOption) (*GetExistenceResponse, error)
	Create(ctx context.Context, in *CreateServiceRequest, opts ...grpc.CallOption) (*CreateServiceResponse, error)
	Delete(ctx context.Context, in *DeleteServiceRequest, opts ...grpc.CallOption) (*DeleteServiceResponse, error)
	GetOne(ctx context.Context, in *GetServiceRequest, opts ...grpc.CallOption) (*GetServiceResponse, error)
	GetServices(ctx context.Context, in *GetServicesRequest, opts ...grpc.CallOption) (*GetServicesResponse, error)
	UpdateProperties(ctx context.Context, in *UpdateServicePropsRequest, opts ...grpc.CallOption) (*UpdateServicePropsResponse, error)
	AddRule(ctx context.Context, in *AddServiceRulesRequest, opts ...grpc.CallOption) (*AddServiceRulesResponse, error)
	GetRule(ctx context.Context, in *GetServiceRulesRequest, opts ...grpc.CallOption) (*GetServiceRulesResponse, error)
	UpdateRule(ctx context.Context, in *UpdateServiceRuleRequest, opts ...grpc.CallOption) (*UpdateServiceRuleResponse, error)
	DeleteRule(ctx context.Context, in *DeleteServiceRulesRequest, opts ...grpc.CallOption) (*DeleteServiceRulesResponse, error)
	AddTags(ctx context.Context, in *AddServiceTagsRequest, opts ...grpc.CallOption) (*AddServiceTagsResponse, error)
	GetTags(ctx context.Context, in *GetServiceTagsRequest, opts ...grpc.CallOption) (*GetServiceTagsResponse, error)
	UpdateTag(ctx context.Context, in *UpdateServiceTagRequest, opts ...grpc.CallOption) (*UpdateServiceTagResponse, error)
	DeleteTags(ctx context.Context, in *DeleteServiceTagsRequest, opts ...grpc.CallOption) (*DeleteServiceTagsResponse, error)
	GetSchemaInfo(ctx context.Context, in *GetSchemaRequest, opts ...grpc.CallOption) (*GetSchemaResponse, error)
	GetAllSchemaInfo(ctx context.Context, in *GetAllSchemaRequest, opts ...grpc.CallOption) (*GetAllSchemaResponse, error)
	DeleteSchema(ctx context.Context, in *DeleteSchemaRequest, opts ...grpc.CallOption) (*DeleteSchemaResponse, error)
	ModifySchema(ctx context.Context, in *ModifySchemaRequest, opts ...grpc.CallOption) (*ModifySchemaResponse, error)
	ModifySchemas(ctx context.Context, in *ModifySchemasRequest, opts ...grpc.CallOption) (*ModifySchemasResponse, error)
	AddDependenciesForMicroServices(ctx context.Context, in *AddDependenciesRequest, opts ...grpc.CallOption) (*AddDependenciesResponse, error)
	CreateDependenciesForMicroServices(ctx context.Context, in *CreateDependenciesRequest, opts ...grpc.CallOption) (*CreateDependenciesResponse, error)
	GetProviderDependencies(ctx context.Context, in *GetDependenciesRequest, opts ...grpc.CallOption) (*GetProDependenciesResponse, error)
	GetConsumerDependencies(ctx context.Context, in *GetDependenciesRequest, opts ...grpc.CallOption) (*GetConDependenciesResponse, error)
	DeleteServices(ctx context.Context, in *DelServicesRequest, opts ...grpc.CallOption) (*DelServicesResponse, error)
}

type serviceCtrlClient struct {
	cc *grpc.ClientConn
}

func NewServiceCtrlClient(cc *grpc.ClientConn) ServiceCtrlClient {
	return &serviceCtrlClient{cc}
}

func (c *serviceCtrlClient) Exist(ctx context.Context, in *GetExistenceRequest, opts ...grpc.CallOption) (*GetExistenceResponse, error) {
	out := new(GetExistenceResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/exist", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) Create(ctx context.Context, in *CreateServiceRequest, opts ...grpc.CallOption) (*CreateServiceResponse, error) {
	out := new(CreateServiceResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/create", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) Delete(ctx context.Context, in *DeleteServiceRequest, opts ...grpc.CallOption) (*DeleteServiceResponse, error) {
	out := new(DeleteServiceResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/delete", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) GetOne(ctx context.Context, in *GetServiceRequest, opts ...grpc.CallOption) (*GetServiceResponse, error) {
	out := new(GetServiceResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/getOne", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) GetServices(ctx context.Context, in *GetServicesRequest, opts ...grpc.CallOption) (*GetServicesResponse, error) {
	out := new(GetServicesResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/getServices", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) UpdateProperties(ctx context.Context, in *UpdateServicePropsRequest, opts ...grpc.CallOption) (*UpdateServicePropsResponse, error) {
	out := new(UpdateServicePropsResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/updateProperties", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) AddRule(ctx context.Context, in *AddServiceRulesRequest, opts ...grpc.CallOption) (*AddServiceRulesResponse, error) {
	out := new(AddServiceRulesResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/addRule", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) GetRule(ctx context.Context, in *GetServiceRulesRequest, opts ...grpc.CallOption) (*GetServiceRulesResponse, error) {
	out := new(GetServiceRulesResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/getRule", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) UpdateRule(ctx context.Context, in *UpdateServiceRuleRequest, opts ...grpc.CallOption) (*UpdateServiceRuleResponse, error) {
	out := new(UpdateServiceRuleResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/updateRule", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) DeleteRule(ctx context.Context, in *DeleteServiceRulesRequest, opts ...grpc.CallOption) (*DeleteServiceRulesResponse, error) {
	out := new(DeleteServiceRulesResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/deleteRule", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) AddTags(ctx context.Context, in *AddServiceTagsRequest, opts ...grpc.CallOption) (*AddServiceTagsResponse, error) {
	out := new(AddServiceTagsResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/addTags", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) GetTags(ctx context.Context, in *GetServiceTagsRequest, opts ...grpc.CallOption) (*GetServiceTagsResponse, error) {
	out := new(GetServiceTagsResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/getTags", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) UpdateTag(ctx context.Context, in *UpdateServiceTagRequest, opts ...grpc.CallOption) (*UpdateServiceTagResponse, error) {
	out := new(UpdateServiceTagResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/updateTag", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) DeleteTags(ctx context.Context, in *DeleteServiceTagsRequest, opts ...grpc.CallOption) (*DeleteServiceTagsResponse, error) {
	out := new(DeleteServiceTagsResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/deleteTags", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) GetSchemaInfo(ctx context.Context, in *GetSchemaRequest, opts ...grpc.CallOption) (*GetSchemaResponse, error) {
	out := new(GetSchemaResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/getSchemaInfo", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) GetAllSchemaInfo(ctx context.Context, in *GetAllSchemaRequest, opts ...grpc.CallOption) (*GetAllSchemaResponse, error) {
	out := new(GetAllSchemaResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/getAllSchemaInfo", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) DeleteSchema(ctx context.Context, in *DeleteSchemaRequest, opts ...grpc.CallOption) (*DeleteSchemaResponse, error) {
	out := new(DeleteSchemaResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/deleteSchema", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) ModifySchema(ctx context.Context, in *ModifySchemaRequest, opts ...grpc.CallOption) (*ModifySchemaResponse, error) {
	out := new(ModifySchemaResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/modifySchema", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) ModifySchemas(ctx context.Context, in *ModifySchemasRequest, opts ...grpc.CallOption) (*ModifySchemasResponse, error) {
	out := new(ModifySchemasResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/modifySchemas", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) AddDependenciesForMicroServices(ctx context.Context, in *AddDependenciesRequest, opts ...grpc.CallOption) (*AddDependenciesResponse, error) {
	out := new(AddDependenciesResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/addDependenciesForMicroServices", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) CreateDependenciesForMicroServices(ctx context.Context, in *CreateDependenciesRequest, opts ...grpc.CallOption) (*CreateDependenciesResponse, error) {
	out := new(CreateDependenciesResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/createDependenciesForMicroServices", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) GetProviderDependencies(ctx context.Context, in *GetDependenciesRequest, opts ...grpc.CallOption) (*GetProDependenciesResponse, error) {
	out := new(GetProDependenciesResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/getProviderDependencies", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) GetConsumerDependencies(ctx context.Context, in *GetDependenciesRequest, opts ...grpc.CallOption) (*GetConDependenciesResponse, error) {
	out := new(GetConDependenciesResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/getConsumerDependencies", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceCtrlClient) DeleteServices(ctx context.Context, in *DelServicesRequest, opts ...grpc.CallOption) (*DelServicesResponse, error) {
	out := new(DelServicesResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/deleteServices", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for ServiceCtrl service

type ServiceCtrlServer interface {
	Exist(context.Context, *GetExistenceRequest) (*GetExistenceResponse, error)
	Create(context.Context, *CreateServiceRequest) (*CreateServiceResponse, error)
	Delete(context.Context, *DeleteServiceRequest) (*DeleteServiceResponse, error)
	GetOne(context.Context, *GetServiceRequest) (*GetServiceResponse, error)
	GetServices(context.Context, *GetServicesRequest) (*GetServicesResponse, error)
	UpdateProperties(context.Context, *UpdateServicePropsRequest) (*UpdateServicePropsResponse, error)
	AddRule(context.Context, *AddServiceRulesRequest) (*AddServiceRulesResponse, error)
	GetRule(context.Context, *GetServiceRulesRequest) (*GetServiceRulesResponse, error)
	UpdateRule(context.Context, *UpdateServiceRuleRequest) (*UpdateServiceRuleResponse, error)
	DeleteRule(context.Context, *DeleteServiceRulesRequest) (*DeleteServiceRulesResponse, error)
	AddTags(context.Context, *AddServiceTagsRequest) (*AddServiceTagsResponse, error)
	GetTags(context.Context, *GetServiceTagsRequest) (*GetServiceTagsResponse, error)
	UpdateTag(context.Context, *UpdateServiceTagRequest) (*UpdateServiceTagResponse, error)
	DeleteTags(context.Context, *DeleteServiceTagsRequest) (*DeleteServiceTagsResponse, error)
	GetSchemaInfo(context.Context, *GetSchemaRequest) (*GetSchemaResponse, error)
	GetAllSchemaInfo(context.Context, *GetAllSchemaRequest) (*GetAllSchemaResponse, error)
	DeleteSchema(context.Context, *DeleteSchemaRequest) (*DeleteSchemaResponse, error)
	ModifySchema(context.Context, *ModifySchemaRequest) (*ModifySchemaResponse, error)
	ModifySchemas(context.Context, *ModifySchemasRequest) (*ModifySchemasResponse, error)
	AddDependenciesForMicroServices(context.Context, *AddDependenciesRequest) (*AddDependenciesResponse, error)
	CreateDependenciesForMicroServices(context.Context, *CreateDependenciesRequest) (*CreateDependenciesResponse, error)
	GetProviderDependencies(context.Context, *GetDependenciesRequest) (*GetProDependenciesResponse, error)
	GetConsumerDependencies(context.Context, *GetDependenciesRequest) (*GetConDependenciesResponse, error)
	DeleteServices(context.Context, *DelServicesRequest) (*DelServicesResponse, error)
}

func RegisterServiceCtrlServer(s *grpc.Server, srv ServiceCtrlServer) {
	s.RegisterService(&_ServiceCtrl_serviceDesc, srv)
}

func _ServiceCtrl_Exist_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetExistenceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).Exist(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/Exist",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).Exist(ctx, req.(*GetExistenceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateServiceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).Create(ctx, req.(*CreateServiceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_Delete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteServiceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).Delete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/Delete",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).Delete(ctx, req.(*DeleteServiceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_GetOne_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetServiceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).GetOne(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/GetOne",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).GetOne(ctx, req.(*GetServiceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_GetServices_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetServicesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).GetServices(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/GetServices",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).GetServices(ctx, req.(*GetServicesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_UpdateProperties_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateServicePropsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).UpdateProperties(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/UpdateProperties",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).UpdateProperties(ctx, req.(*UpdateServicePropsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_AddRule_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddServiceRulesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).AddRule(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/AddRule",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).AddRule(ctx, req.(*AddServiceRulesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_GetRule_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetServiceRulesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).GetRule(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/GetRule",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).GetRule(ctx, req.(*GetServiceRulesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_UpdateRule_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateServiceRuleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).UpdateRule(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/UpdateRule",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).UpdateRule(ctx, req.(*UpdateServiceRuleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_DeleteRule_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteServiceRulesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).DeleteRule(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/DeleteRule",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).DeleteRule(ctx, req.(*DeleteServiceRulesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_AddTags_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddServiceTagsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).AddTags(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/AddTags",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).AddTags(ctx, req.(*AddServiceTagsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_GetTags_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetServiceTagsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).GetTags(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/GetTags",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).GetTags(ctx, req.(*GetServiceTagsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_UpdateTag_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateServiceTagRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).UpdateTag(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/UpdateTag",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).UpdateTag(ctx, req.(*UpdateServiceTagRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_DeleteTags_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteServiceTagsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).DeleteTags(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/DeleteTags",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).DeleteTags(ctx, req.(*DeleteServiceTagsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_GetSchemaInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetSchemaRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).GetSchemaInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/GetSchemaInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).GetSchemaInfo(ctx, req.(*GetSchemaRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_GetAllSchemaInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetAllSchemaRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).GetAllSchemaInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/GetAllSchemaInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).GetAllSchemaInfo(ctx, req.(*GetAllSchemaRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_DeleteSchema_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteSchemaRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).DeleteSchema(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/DeleteSchema",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).DeleteSchema(ctx, req.(*DeleteSchemaRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_ModifySchema_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ModifySchemaRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).ModifySchema(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/ModifySchema",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).ModifySchema(ctx, req.(*ModifySchemaRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_ModifySchemas_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ModifySchemasRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).ModifySchemas(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/ModifySchemas",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).ModifySchemas(ctx, req.(*ModifySchemasRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_AddDependenciesForMicroServices_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddDependenciesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).AddDependenciesForMicroServices(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/AddDependenciesForMicroServices",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).AddDependenciesForMicroServices(ctx, req.(*AddDependenciesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_CreateDependenciesForMicroServices_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateDependenciesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).CreateDependenciesForMicroServices(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/CreateDependenciesForMicroServices",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).CreateDependenciesForMicroServices(ctx, req.(*CreateDependenciesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_GetProviderDependencies_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetDependenciesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).GetProviderDependencies(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/GetProviderDependencies",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).GetProviderDependencies(ctx, req.(*GetDependenciesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_GetConsumerDependencies_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetDependenciesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).GetConsumerDependencies(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/GetConsumerDependencies",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).GetConsumerDependencies(ctx, req.(*GetDependenciesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceCtrl_DeleteServices_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DelServicesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceCtrlServer).DeleteServices(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceCtrl/DeleteServices",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceCtrlServer).DeleteServices(ctx, req.(*DelServicesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _ServiceCtrl_serviceDesc = grpc.ServiceDesc{
	ServiceName: "com.huawei.paas.cse.serviceregistry.api.ServiceCtrl",
	HandlerType: (*ServiceCtrlServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "exist",
			Handler:    _ServiceCtrl_Exist_Handler,
		},
		{
			MethodName: "create",
			Handler:    _ServiceCtrl_Create_Handler,
		},
		{
			MethodName: "delete",
			Handler:    _ServiceCtrl_Delete_Handler,
		},
		{
			MethodName: "getOne",
			Handler:    _ServiceCtrl_GetOne_Handler,
		},
		{
			MethodName: "getServices",
			Handler:    _ServiceCtrl_GetServices_Handler,
		},
		{
			MethodName: "updateProperties",
			Handler:    _ServiceCtrl_UpdateProperties_Handler,
		},
		{
			MethodName: "addRule",
			Handler:    _ServiceCtrl_AddRule_Handler,
		},
		{
			MethodName: "getRule",
			Handler:    _ServiceCtrl_GetRule_Handler,
		},
		{
			MethodName: "updateRule",
			Handler:    _ServiceCtrl_UpdateRule_Handler,
		},
		{
			MethodName: "deleteRule",
			Handler:    _ServiceCtrl_DeleteRule_Handler,
		},
		{
			MethodName: "addTags",
			Handler:    _ServiceCtrl_AddTags_Handler,
		},
		{
			MethodName: "getTags",
			Handler:    _ServiceCtrl_GetTags_Handler,
		},
		{
			MethodName: "updateTag",
			Handler:    _ServiceCtrl_UpdateTag_Handler,
		},
		{
			MethodName: "deleteTags",
			Handler:    _ServiceCtrl_DeleteTags_Handler,
		},
		{
			MethodName: "getSchemaInfo",
			Handler:    _ServiceCtrl_GetSchemaInfo_Handler,
		},
		{
			MethodName: "getAllSchemaInfo",
			Handler:    _ServiceCtrl_GetAllSchemaInfo_Handler,
		},
		{
			MethodName: "deleteSchema",
			Handler:    _ServiceCtrl_DeleteSchema_Handler,
		},
		{
			MethodName: "modifySchema",
			Handler:    _ServiceCtrl_ModifySchema_Handler,
		},
		{
			MethodName: "modifySchemas",
			Handler:    _ServiceCtrl_ModifySchemas_Handler,
		},
		{
			MethodName: "addDependenciesForMicroServices",
			Handler:    _ServiceCtrl_AddDependenciesForMicroServices_Handler,
		},
		{
			MethodName: "createDependenciesForMicroServices",
			Handler:    _ServiceCtrl_CreateDependenciesForMicroServices_Handler,
		},
		{
			MethodName: "getProviderDependencies",
			Handler:    _ServiceCtrl_GetProviderDependencies_Handler,
		},
		{
			MethodName: "getConsumerDependencies",
			Handler:    _ServiceCtrl_GetConsumerDependencies_Handler,
		},
		{
			MethodName: "deleteServices",
			Handler:    _ServiceCtrl_DeleteServices_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "services.proto",
}

// Client API for ServiceInstanceCtrl service

type ServiceInstanceCtrlClient interface {
	Register(ctx context.Context, in *RegisterInstanceRequest, opts ...grpc.CallOption) (*RegisterInstanceResponse, error)
	Unregister(ctx context.Context, in *UnregisterInstanceRequest, opts ...grpc.CallOption) (*UnregisterInstanceResponse, error)
	Heartbeat(ctx context.Context, in *HeartbeatRequest, opts ...grpc.CallOption) (*HeartbeatResponse, error)
	Find(ctx context.Context, in *FindInstancesRequest, opts ...grpc.CallOption) (*FindInstancesResponse, error)
	GetInstances(ctx context.Context, in *GetInstancesRequest, opts ...grpc.CallOption) (*GetInstancesResponse, error)
	GetOneInstance(ctx context.Context, in *GetOneInstanceRequest, opts ...grpc.CallOption) (*GetOneInstanceResponse, error)
	UpdateStatus(ctx context.Context, in *UpdateInstanceStatusRequest, opts ...grpc.CallOption) (*UpdateInstanceStatusResponse, error)
	UpdateInstanceProperties(ctx context.Context, in *UpdateInstancePropsRequest, opts ...grpc.CallOption) (*UpdateInstancePropsResponse, error)
	Watch(ctx context.Context, in *WatchInstanceRequest, opts ...grpc.CallOption) (ServiceInstanceCtrl_WatchClient, error)
	HeartbeatSet(ctx context.Context, in *HeartbeatSetRequest, opts ...grpc.CallOption) (*HeartbeatSetResponse, error)
}

type serviceInstanceCtrlClient struct {
	cc *grpc.ClientConn
}

func NewServiceInstanceCtrlClient(cc *grpc.ClientConn) ServiceInstanceCtrlClient {
	return &serviceInstanceCtrlClient{cc}
}

func (c *serviceInstanceCtrlClient) Register(ctx context.Context, in *RegisterInstanceRequest, opts ...grpc.CallOption) (*RegisterInstanceResponse, error) {
	out := new(RegisterInstanceResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/register", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceInstanceCtrlClient) Unregister(ctx context.Context, in *UnregisterInstanceRequest, opts ...grpc.CallOption) (*UnregisterInstanceResponse, error) {
	out := new(UnregisterInstanceResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/unregister", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceInstanceCtrlClient) Heartbeat(ctx context.Context, in *HeartbeatRequest, opts ...grpc.CallOption) (*HeartbeatResponse, error) {
	out := new(HeartbeatResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/heartbeat", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceInstanceCtrlClient) Find(ctx context.Context, in *FindInstancesRequest, opts ...grpc.CallOption) (*FindInstancesResponse, error) {
	out := new(FindInstancesResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/find", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceInstanceCtrlClient) GetInstances(ctx context.Context, in *GetInstancesRequest, opts ...grpc.CallOption) (*GetInstancesResponse, error) {
	out := new(GetInstancesResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/getInstances", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceInstanceCtrlClient) GetOneInstance(ctx context.Context, in *GetOneInstanceRequest, opts ...grpc.CallOption) (*GetOneInstanceResponse, error) {
	out := new(GetOneInstanceResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/getOneInstance", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceInstanceCtrlClient) UpdateStatus(ctx context.Context, in *UpdateInstanceStatusRequest, opts ...grpc.CallOption) (*UpdateInstanceStatusResponse, error) {
	out := new(UpdateInstanceStatusResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/updateStatus", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceInstanceCtrlClient) UpdateInstanceProperties(ctx context.Context, in *UpdateInstancePropsRequest, opts ...grpc.CallOption) (*UpdateInstancePropsResponse, error) {
	out := new(UpdateInstancePropsResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/updateInstanceProperties", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *serviceInstanceCtrlClient) Watch(ctx context.Context, in *WatchInstanceRequest, opts ...grpc.CallOption) (ServiceInstanceCtrl_WatchClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_ServiceInstanceCtrl_serviceDesc.Streams[0], c.cc, "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/watch", opts...)
	if err != nil {
		return nil, err
	}
	x := &serviceInstanceCtrlWatchClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type ServiceInstanceCtrl_WatchClient interface {
	Recv() (*WatchInstanceResponse, error)
	grpc.ClientStream
}

type serviceInstanceCtrlWatchClient struct {
	grpc.ClientStream
}

func (x *serviceInstanceCtrlWatchClient) Recv() (*WatchInstanceResponse, error) {
	m := new(WatchInstanceResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *serviceInstanceCtrlClient) HeartbeatSet(ctx context.Context, in *HeartbeatSetRequest, opts ...grpc.CallOption) (*HeartbeatSetResponse, error) {
	out := new(HeartbeatSetResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/heartbeatSet", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for ServiceInstanceCtrl service

type ServiceInstanceCtrlServer interface {
	Register(context.Context, *RegisterInstanceRequest) (*RegisterInstanceResponse, error)
	Unregister(context.Context, *UnregisterInstanceRequest) (*UnregisterInstanceResponse, error)
	Heartbeat(context.Context, *HeartbeatRequest) (*HeartbeatResponse, error)
	Find(context.Context, *FindInstancesRequest) (*FindInstancesResponse, error)
	GetInstances(context.Context, *GetInstancesRequest) (*GetInstancesResponse, error)
	GetOneInstance(context.Context, *GetOneInstanceRequest) (*GetOneInstanceResponse, error)
	UpdateStatus(context.Context, *UpdateInstanceStatusRequest) (*UpdateInstanceStatusResponse, error)
	UpdateInstanceProperties(context.Context, *UpdateInstancePropsRequest) (*UpdateInstancePropsResponse, error)
	Watch(*WatchInstanceRequest, ServiceInstanceCtrl_WatchServer) error
	HeartbeatSet(context.Context, *HeartbeatSetRequest) (*HeartbeatSetResponse, error)
}

func RegisterServiceInstanceCtrlServer(s *grpc.Server, srv ServiceInstanceCtrlServer) {
	s.RegisterService(&_ServiceInstanceCtrl_serviceDesc, srv)
}

func _ServiceInstanceCtrl_Register_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RegisterInstanceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceInstanceCtrlServer).Register(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/Register",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceInstanceCtrlServer).Register(ctx, req.(*RegisterInstanceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceInstanceCtrl_Unregister_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UnregisterInstanceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceInstanceCtrlServer).Unregister(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/Unregister",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceInstanceCtrlServer).Unregister(ctx, req.(*UnregisterInstanceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceInstanceCtrl_Heartbeat_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(HeartbeatRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceInstanceCtrlServer).Heartbeat(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/Heartbeat",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceInstanceCtrlServer).Heartbeat(ctx, req.(*HeartbeatRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceInstanceCtrl_Find_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FindInstancesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceInstanceCtrlServer).Find(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/Find",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceInstanceCtrlServer).Find(ctx, req.(*FindInstancesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceInstanceCtrl_GetInstances_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetInstancesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceInstanceCtrlServer).GetInstances(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/GetInstances",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceInstanceCtrlServer).GetInstances(ctx, req.(*GetInstancesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceInstanceCtrl_GetOneInstance_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetOneInstanceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceInstanceCtrlServer).GetOneInstance(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/GetOneInstance",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceInstanceCtrlServer).GetOneInstance(ctx, req.(*GetOneInstanceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceInstanceCtrl_UpdateStatus_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateInstanceStatusRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceInstanceCtrlServer).UpdateStatus(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/UpdateStatus",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceInstanceCtrlServer).UpdateStatus(ctx, req.(*UpdateInstanceStatusRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceInstanceCtrl_UpdateInstanceProperties_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateInstancePropsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceInstanceCtrlServer).UpdateInstanceProperties(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/UpdateInstanceProperties",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceInstanceCtrlServer).UpdateInstanceProperties(ctx, req.(*UpdateInstancePropsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServiceInstanceCtrl_Watch_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(WatchInstanceRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(ServiceInstanceCtrlServer).Watch(m, &serviceInstanceCtrlWatchServer{stream})
}

type ServiceInstanceCtrl_WatchServer interface {
	Send(*WatchInstanceResponse) error
	grpc.ServerStream
}

type serviceInstanceCtrlWatchServer struct {
	grpc.ServerStream
}

func (x *serviceInstanceCtrlWatchServer) Send(m *WatchInstanceResponse) error {
	return x.ServerStream.SendMsg(m)
}

func _ServiceInstanceCtrl_HeartbeatSet_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(HeartbeatSetRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServiceInstanceCtrlServer).HeartbeatSet(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl/HeartbeatSet",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServiceInstanceCtrlServer).HeartbeatSet(ctx, req.(*HeartbeatSetRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _ServiceInstanceCtrl_serviceDesc = grpc.ServiceDesc{
	ServiceName: "com.huawei.paas.cse.serviceregistry.api.ServiceInstanceCtrl",
	HandlerType: (*ServiceInstanceCtrlServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "register",
			Handler:    _ServiceInstanceCtrl_Register_Handler,
		},
		{
			MethodName: "unregister",
			Handler:    _ServiceInstanceCtrl_Unregister_Handler,
		},
		{
			MethodName: "heartbeat",
			Handler:    _ServiceInstanceCtrl_Heartbeat_Handler,
		},
		{
			MethodName: "find",
			Handler:    _ServiceInstanceCtrl_Find_Handler,
		},
		{
			MethodName: "getInstances",
			Handler:    _ServiceInstanceCtrl_GetInstances_Handler,
		},
		{
			MethodName: "getOneInstance",
			Handler:    _ServiceInstanceCtrl_GetOneInstance_Handler,
		},
		{
			MethodName: "updateStatus",
			Handler:    _ServiceInstanceCtrl_UpdateStatus_Handler,
		},
		{
			MethodName: "updateInstanceProperties",
			Handler:    _ServiceInstanceCtrl_UpdateInstanceProperties_Handler,
		},
		{
			MethodName: "heartbeatSet",
			Handler:    _ServiceInstanceCtrl_HeartbeatSet_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "watch",
			Handler:       _ServiceInstanceCtrl_Watch_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "services.proto",
}

// Client API for GovernServiceCtrl service

type GovernServiceCtrlClient interface {
	GetServiceDetail(ctx context.Context, in *GetServiceRequest, opts ...grpc.CallOption) (*GetServiceDetailResponse, error)
	GetServicesInfo(ctx context.Context, in *GetServicesInfoRequest, opts ...grpc.CallOption) (*GetServicesInfoResponse, error)
	GetApplications(ctx context.Context, in *GetAppsRequest, opts ...grpc.CallOption) (*GetAppsResponse, error)
}

type governServiceCtrlClient struct {
	cc *grpc.ClientConn
}

func NewGovernServiceCtrlClient(cc *grpc.ClientConn) GovernServiceCtrlClient {
	return &governServiceCtrlClient{cc}
}

func (c *governServiceCtrlClient) GetServiceDetail(ctx context.Context, in *GetServiceRequest, opts ...grpc.CallOption) (*GetServiceDetailResponse, error) {
	out := new(GetServiceDetailResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.GovernServiceCtrl/getServiceDetail", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *governServiceCtrlClient) GetServicesInfo(ctx context.Context, in *GetServicesInfoRequest, opts ...grpc.CallOption) (*GetServicesInfoResponse, error) {
	out := new(GetServicesInfoResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.GovernServiceCtrl/getServicesInfo", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *governServiceCtrlClient) GetApplications(ctx context.Context, in *GetAppsRequest, opts ...grpc.CallOption) (*GetAppsResponse, error) {
	out := new(GetAppsResponse)
	err := grpc.Invoke(ctx, "/com.huawei.paas.cse.serviceregistry.api.GovernServiceCtrl/getApplications", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for GovernServiceCtrl service

type GovernServiceCtrlServer interface {
	GetServiceDetail(context.Context, *GetServiceRequest) (*GetServiceDetailResponse, error)
	GetServicesInfo(context.Context, *GetServicesInfoRequest) (*GetServicesInfoResponse, error)
	GetApplications(context.Context, *GetAppsRequest) (*GetAppsResponse, error)
}

func RegisterGovernServiceCtrlServer(s *grpc.Server, srv GovernServiceCtrlServer) {
	s.RegisterService(&_GovernServiceCtrl_serviceDesc, srv)
}

func _GovernServiceCtrl_GetServiceDetail_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetServiceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GovernServiceCtrlServer).GetServiceDetail(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.GovernServiceCtrl/GetServiceDetail",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GovernServiceCtrlServer).GetServiceDetail(ctx, req.(*GetServiceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _GovernServiceCtrl_GetServicesInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetServicesInfoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GovernServiceCtrlServer).GetServicesInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.GovernServiceCtrl/GetServicesInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GovernServiceCtrlServer).GetServicesInfo(ctx, req.(*GetServicesInfoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _GovernServiceCtrl_GetApplications_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetAppsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(GovernServiceCtrlServer).GetApplications(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.huawei.paas.cse.serviceregistry.api.GovernServiceCtrl/GetApplications",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(GovernServiceCtrlServer).GetApplications(ctx, req.(*GetAppsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _GovernServiceCtrl_serviceDesc = grpc.ServiceDesc{
	ServiceName: "com.huawei.paas.cse.serviceregistry.api.GovernServiceCtrl",
	HandlerType: (*GovernServiceCtrlServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "getServiceDetail",
			Handler:    _GovernServiceCtrl_GetServiceDetail_Handler,
		},
		{
			MethodName: "getServicesInfo",
			Handler:    _GovernServiceCtrl_GetServicesInfo_Handler,
		},
		{
			MethodName: "getApplications",
			Handler:    _GovernServiceCtrl_GetApplications_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "services.proto",
}

func init() { proto1.RegisterFile("services.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 3437 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xd4, 0x5c, 0xcf, 0x6f, 0x24, 0x47,
	0xf5, 0x57, 0x8d, 0x67, 0x3c, 0x9e, 0x37, 0xb6, 0x77, 0x5d, 0x6b, 0xaf, 0x7b, 0x27, 0xf9, 0xe6,
	0xbb, 0x6a, 0x45, 0x22, 0x87, 0xc8, 0x24, 0x0e, 0x49, 0x96, 0xcd, 0x6e, 0x36, 0xfe, 0xb1, 0xf1,
	0x7a, 0x93, 0xcd, 0x6e, 0x7a, 0x9c, 0x5d, 0x92, 0x00, 0x51, 0x7b, 0xa6, 0x3c, 0xd3, 0xd9, 0x99,
	0xee, 0x4e, 0x77, 0x8f, 0x37, 0x23, 0x21, 0xa1, 0x44, 0x09, 0x04, 0x02, 0x09, 0x11, 0x70, 0xca,
	0x01, 0x04, 0xe4, 0x08, 0x12, 0x08, 0x29, 0x42, 0x11, 0x08, 0x81, 0xb8, 0x25, 0x47, 0xc4, 0x09,
	0xee, 0x48, 0xdc, 0xf8, 0x03, 0x40, 0xf5, 0xa3, 0xbb, 0xab, 0x7f, 0xd8, 0x9e, 0xee, 0x76, 0x6f,
	0xc4, 0xc9, 0x5d, 0xd5, 0x53, 0xaf, 0xde, 0xab, 0xf7, 0xa3, 0x5e, 0x7d, 0xea, 0xb9, 0x61, 0xde,
	0x25, 0xce, 0xbe, 0xd1, 0x21, 0xee, 0x8a, 0xed, 0x58, 0x9e, 0x85, 0xbf, 0xd0, 0xb1, 0x86, 0x2b,
	0xfd, 0x91, 0x7e, 0x87, 0x18, 0x2b, 0xb6, 0xae, 0xbb, 0x2b, 0x1d, 0x97, 0xac, 0x88, 0xdf, 0x38,
	0xa4, 0x67, 0xb8, 0x9e, 0x33, 0x5e, 0xd1, 0x6d, 0x43, 0xfd, 0x26, 0x2c, 0x5e, 0xb3, 0xba, 0xc6,
	0xde, 0xb8, 0xdd, 0xe9, 0x93, 0xa1, 0xee, 0x6a, 0xe4, 0xb5, 0x11, 0x71, 0x3d, 0x7c, 0x2f, 0x34,
	0xc4, 0xcf, 0xb7, 0xbb, 0x0a, 0x3a, 0x8b, 0x1e, 0x68, 0x68, 0x61, 0x07, 0xde, 0x86, 0xba, 0xcb,
	0x7f, 0xaf, 0x54, 0xce, 0x4e, 0x3d, 0xd0, 0x5c, 0xfd, 0xe2, 0xca, 0x84, 0x13, 0xae, 0xf0, 0x79,
	0x34, 0x7f, 0xbc, 0x7a, 0x13, 0xa6, 0x79, 0x17, 0x6e, 0xc1, 0x0c, 0xef, 0x0c, 0x66, 0x0c, 0xda,
	0x58, 0x81, 0xba, 0x3b, 0x1a, 0x0e, 0x75, 0x67, 0xac, 0x54, 0xd8, 0x2b, 0xbf, 0x89, 0x4f, 0xc3,
	0x34, 0xff, 0x95, 0x32, 0xc5, 0x5e, 0x88, 0x96, 0xba, 0x07, 0x4b, 0x31, 0xc1, 0x5c, 0xdb, 0x32,
	0x5d, 0x82, 0xaf, 0xc1, 0x8c, 0x23, 0x9e, 0xd9, 0x34, 0xcd, 0xd5, 0x87, 0x27, 0x66, 0xde, 0x27,
	0xa2, 0x05, 0x24, 0xd4, 0xd7, 0xe0, 0xd4, 0x15, 0xa2, 0x3b, 0xde, 0x2e, 0xd1, 0xbd, 0x36, 0xf1,
	0xfc, 0xf5, 0x7b, 0x09, 0x1a, 0x86, 0xe9, 0x7a, 0xba, 0xd9, 0x21, 0xae, 0x82, 0xd8, 0x1a, 0x5d,
	0x98, 0x78, 0x1a, 0x99, 0xe0, 0xe5, 0x01, 0x19, 0x12, 0xd3, 0xd3, 0x42, 0x72, 0x6a, 0x3b, 0x3a,
	0xa5, 0xf8, 0xc5, 0x11, 0x2a, 0xbb, 0x0f, 0xc0, 0xa7, 0xb0, 0xdd, 0x15, 0x8b, 0x28, 0xf5, 0xa8,
	0x9f, 0x20, 0x58, 0x8c, 0x0a, 0x52, 0xca, 0x7a, 0xe1, 0x1d, 0x79, 0x61, 0xb8, 0xf1, 0x3c, 0x36,
	0x31, 0xbd, 0x6d, 0x31, 0xf2, 0xca, 0xae, 0xe6, 0x46, 0x96, 0x64, 0x08, 0x73, 0x91, 0x77, 0xc5,
	0x16, 0x83, 0xbe, 0x27, 0x8e, 0x73, 0x8d, 0xb8, 0xae, 0xde, 0x23, 0xc2, 0xb0, 0xa4, 0x1e, 0x75,
	0x03, 0x1a, 0x6d, 0xaf, 0xcd, 0xc9, 0xe1, 0x45, 0xa8, 0x75, 0xac, 0x91, 0xe9, 0xb1, 0x69, 0xa6,
	0x34, 0xde, 0xc0, 0x67, 0xa1, 0x69, 0x99, 0x03, 0xc3, 0x24, 0x1b, 0xec, 0x5d, 0x85, 0xbd, 0x93,
	0xbb, 0x54, 0x15, 0xa0, 0xed, 0xf9, 0x5c, 0xa7, 0x53, 0x51, 0xff, 0x0f, 0x6a, 0x6d, 0x6f, 0xcd,
	0xb6, 0x0f, 0x78, 0xfd, 0x6f, 0x44, 0x69, 0xe8, 0x9e, 0xe1, 0x7a, 0x46, 0xc7, 0xc5, 0xcf, 0xc1,
	0x8c, 0x1f, 0x07, 0x84, 0xaa, 0x56, 0x27, 0xf7, 0x4b, 0x5f, 0x1e, 0x2d, 0xa0, 0x81, 0x9f, 0x8f,
	0xea, 0x8a, 0x12, 0x7c, 0x24, 0x03, 0x41, 0x5f, 0x36, 0x49, 0x51, 0x78, 0x1d, 0xaa, 0xba, 0x6d,
	0xbb, 0x6c, 0x4d, 0x9b, 0xab, 0x2b, 0x19, 0xa8, 0xad, 0xd9, 0xb6, 0xc6, 0xc6, 0xaa, 0xef, 0x20,
	0x38, 0xbd, 0x45, 0x7c, 0x7e, 0xdd, 0x6d, 0x73, 0xcf, 0xf2, 0xdd, 0x4e, 0x81, 0xba, 0x65, 0x7b,
	0x86, 0x65, 0x72, 0xa7, 0x6b, 0x68, 0x7e, 0x93, 0x2e, 0xa0, 0x6e, 0xdb, 0x81, 0xb6, 0x79, 0x83,
	0x6a, 0x49, 0xcc, 0xf6, 0x9c, 0x3e, 0xf4, 0x35, 0x2d, 0x77, 0x51, 0x43, 0x62, 0x6b, 0x7d, 0xdd,
	0x1c, 0x8c, 0x95, 0xea, 0x59, 0xf4, 0xc0, 0x8c, 0x16, 0x76, 0xa8, 0x3f, 0xaf, 0xc0, 0x72, 0x82,
	0x95, 0x72, 0x1c, 0xa7, 0x0b, 0x0b, 0xfa, 0x60, 0xe0, 0xcf, 0xb4, 0x49, 0x3c, 0xdd, 0x18, 0x64,
	0x76, 0x20, 0x31, 0x9c, 0x8f, 0xd6, 0x92, 0x04, 0x71, 0x1b, 0xc0, 0x0d, 0x0c, 0x4a, 0x68, 0x29,
	0x8b, 0xce, 0xfd, 0xa1, 0x9a, 0x44, 0x46, 0xfd, 0x0c, 0xc1, 0x89, 0x6b, 0x46, 0xc7, 0xb1, 0xc4,
	0x64, 0xcf, 0x10, 0x16, 0xb7, 0x3d, 0x62, 0xea, 0xc2, 0xa2, 0x1b, 0x9a, 0x68, 0x51, 0x0d, 0xda,
	0x8e, 0xf5, 0x2a, 0xe9, 0x78, 0x7e, 0xa4, 0x17, 0xcd, 0x50, 0x83, 0x53, 0x87, 0x68, 0xb0, 0x9a,
	0xd4, 0xa0, 0x02, 0xf5, 0x7d, 0xe2, 0xb8, 0x86, 0x65, 0x2a, 0x35, 0x4e, 0x51, 0x34, 0xe9, 0x58,
	0x62, 0xee, 0x1b, 0x8e, 0x65, 0xd2, 0x00, 0xaa, 0x4c, 0xf3, 0xb1, 0x52, 0x17, 0x9b, 0x73, 0x60,
	0xe8, 0xae, 0x52, 0x17, 0x73, 0xd2, 0x86, 0xfa, 0x69, 0x1d, 0x66, 0x65, 0x79, 0x8e, 0x88, 0x36,
	0x79, 0x4d, 0x4f, 0x62, 0xbc, 0x9a, 0x60, 0xbc, 0x4b, 0xdc, 0x8e, 0x63, 0x30, 0xe3, 0x16, 0x62,
	0xc9, 0x5d, 0x74, 0xce, 0x01, 0xd9, 0x27, 0x03, 0x21, 0x14, 0x6f, 0xb0, 0x6d, 0x54, 0xec, 0xdb,
	0x75, 0xee, 0x1e, 0xa2, 0x89, 0xaf, 0x42, 0xcd, 0xd6, 0xbd, 0xbe, 0xab, 0x00, 0xb3, 0xa8, 0x2f,
	0x65, 0xb5, 0xa8, 0x1b, 0xba, 0xd7, 0xd7, 0x38, 0x09, 0xb6, 0x25, 0x7b, 0xba, 0x37, 0x72, 0x95,
	0x19, 0xb1, 0x25, 0xb3, 0x16, 0x26, 0x00, 0xb6, 0x63, 0xd9, 0xc4, 0xf1, 0x0c, 0xe2, 0x2a, 0x0d,
	0x36, 0xd1, 0xe5, 0x89, 0x27, 0x92, 0x17, 0x7c, 0xe5, 0x46, 0x40, 0xe7, 0xb2, 0xe9, 0x39, 0x63,
	0x4d, 0x22, 0x4c, 0x95, 0xe1, 0x19, 0x43, 0xe2, 0x7a, 0xfa, 0xd0, 0x56, 0x9a, 0x5c, 0x19, 0x41,
	0x07, 0xbe, 0x09, 0x0d, 0xdb, 0xb1, 0xf6, 0x8d, 0x2e, 0x71, 0x5c, 0x65, 0x96, 0xf1, 0x70, 0x2e,
	0x17, 0x0f, 0xcf, 0x90, 0xb1, 0x16, 0x92, 0x0a, 0x2d, 0x65, 0x4e, 0xb2, 0x14, 0x2a, 0xf2, 0xb3,
	0xeb, 0x6d, 0xcf, 0xd1, 0x3d, 0xd2, 0x1b, 0x2b, 0xf3, 0x45, 0x44, 0x0e, 0xe9, 0x08, 0x91, 0xc3,
	0x0e, 0xac, 0xc2, 0xec, 0xd0, 0xea, 0xee, 0x04, 0x52, 0x9f, 0x60, 0x3c, 0x44, 0xfa, 0xe2, 0xc6,
	0x7e, 0x32, 0x69, 0xec, 0xf7, 0x01, 0xf0, 0xe9, 0x89, 0xb3, 0x3e, 0x56, 0x16, 0xf8, 0xae, 0x17,
	0xf6, 0xe0, 0xaf, 0x40, 0x63, 0xcf, 0xd1, 0x87, 0xe4, 0x8e, 0xe5, 0xdc, 0x56, 0x30, 0x0b, 0x0d,
	0xe7, 0x27, 0x96, 0xe5, 0x69, 0x3a, 0xf2, 0x96, 0xe5, 0xdc, 0x16, 0xaa, 0x1b, 0x6b, 0x21, 0xb1,
	0xd6, 0x45, 0x38, 0x11, 0xd3, 0x28, 0x3e, 0x09, 0x53, 0xb7, 0xc9, 0x58, 0x38, 0x13, 0x7d, 0xa4,
	0x2b, 0xbc, 0xaf, 0x0f, 0x46, 0xc4, 0x77, 0x23, 0xd6, 0x38, 0x5f, 0x39, 0x87, 0xe8, 0xf0, 0xd8,
	0xea, 0x64, 0x19, 0xae, 0xae, 0xc1, 0x42, 0x82, 0x3b, 0x8c, 0xa1, 0x6a, 0x52, 0xbf, 0xe4, 0x14,
	0xd8, 0xb3, 0xec, 0x90, 0x95, 0x88, 0x43, 0xaa, 0x7f, 0x47, 0xd0, 0xf4, 0xf7, 0xcf, 0xd1, 0x80,
	0x50, 0x17, 0x70, 0x46, 0x83, 0x30, 0x1a, 0x88, 0x16, 0xcd, 0x71, 0xe9, 0xd3, 0xce, 0xd8, 0xf6,
	0xf9, 0x08, 0xda, 0xd4, 0x6e, 0x75, 0xcf, 0x73, 0x8c, 0xdd, 0x91, 0xe7, 0x87, 0x83, 0xb0, 0x83,
	0xc5, 0x45, 0xdd, 0xf3, 0x88, 0x13, 0x04, 0x03, 0xd1, 0x9c, 0x20, 0x18, 0x44, 0x3c, 0x62, 0x3a,
	0xee, 0x11, 0x71, 0xe3, 0xa9, 0x27, 0x8d, 0x47, 0x7d, 0x0f, 0xc1, 0xe9, 0xb5, 0x6e, 0xf7, 0xba,
	0xf3, 0x82, 0xdd, 0xd5, 0x3d, 0x22, 0x8b, 0x2a, 0x8b, 0x84, 0x0e, 0x13, 0xa9, 0x72, 0x88, 0x48,
	0x53, 0x87, 0x8a, 0x54, 0x4d, 0x88, 0xa4, 0xfe, 0x21, 0x5c, 0x70, 0x1a, 0x7a, 0xa8, 0xba, 0x68,
	0xf0, 0xf1, 0xd5, 0x45, 0x9f, 0xf1, 0xd7, 0x61, 0x46, 0x84, 0x85, 0xb1, 0xd8, 0x28, 0xd7, 0xf3,
	0x84, 0x35, 0x3f, 0xd8, 0x08, 0xbf, 0x0b, 0x68, 0xb6, 0x9e, 0x80, 0xb9, 0xc8, 0xab, 0x4c, 0x46,
	0x77, 0x0e, 0x66, 0x82, 0x4c, 0x01, 0x43, 0xb5, 0x63, 0x75, 0xf9, 0xf2, 0xd5, 0x34, 0xf6, 0x4c,
	0x17, 0x67, 0x28, 0xf2, 0x4f, 0x61, 0x6b, 0xa2, 0xa9, 0xfe, 0x0d, 0xc1, 0xa9, 0x2d, 0xe2, 0x5d,
	0x7e, 0x9d, 0xfa, 0x25, 0x4d, 0xaf, 0x44, 0xee, 0x83, 0xa1, 0xea, 0x85, 0x4a, 0x60, 0xcf, 0x25,
	0x6c, 0x3d, 0x91, 0xad, 0xae, 0x16, 0xdf, 0xea, 0xe4, 0x33, 0xdc, 0x74, 0xec, 0x0c, 0x17, 0x0b,
	0x40, 0xf5, 0x44, 0x00, 0x52, 0x7f, 0x87, 0x60, 0x31, 0x2a, 0x59, 0x39, 0xa9, 0x54, 0x44, 0x86,
	0xca, 0x61, 0x32, 0x4c, 0x1d, 0x7c, 0x0e, 0xad, 0x46, 0xce, 0xa1, 0xea, 0xaf, 0xa7, 0x60, 0x71,
	0xc3, 0x21, 0x92, 0x73, 0x08, 0xb5, 0x5c, 0x87, 0xba, 0xa0, 0x2d, 0x58, 0x7f, 0x34, 0x57, 0xfc,
	0xd7, 0x7c, 0x2a, 0xf8, 0x05, 0xa8, 0x51, 0x07, 0xf3, 0x4f, 0x4f, 0x97, 0x26, 0x26, 0x97, 0xee,
	0xc0, 0x1a, 0xa7, 0x86, 0x5f, 0x86, 0xaa, 0xa7, 0xf7, 0x68, 0xce, 0x47, 0xa9, 0x6e, 0x4d, 0x4c,
	0x35, 0x4d, 0xe8, 0x95, 0x1d, 0xbd, 0x27, 0x76, 0x66, 0x46, 0x14, 0xbf, 0x2c, 0x9f, 0x24, 0xaa,
	0x6c, 0x86, 0x8b, 0xb9, 0x96, 0x21, 0xe5, 0x4c, 0xd1, 0x7a, 0x1c, 0x1a, 0xc1, 0x7c, 0x99, 0x7c,
	0xf0, 0x2d, 0x04, 0x4b, 0x31, 0xf6, 0x3f, 0x07, 0x83, 0x53, 0xaf, 0xc2, 0xe2, 0x26, 0x19, 0x90,
	0x84, 0xe5, 0x1c, 0x99, 0x55, 0xee, 0x59, 0x4e, 0x87, 0x8b, 0x35, 0xa3, 0xf1, 0x86, 0xba, 0x07,
	0x4b, 0x31, 0x5a, 0xe5, 0xc0, 0x1e, 0x0f, 0xc3, 0x42, 0x78, 0xee, 0x99, 0x88, 0x61, 0xf5, 0xb7,
	0x08, 0xb0, 0x3c, 0xa6, 0x9c, 0xa5, 0x96, 0xdc, 0xad, 0x72, 0x1c, 0xee, 0xa6, 0x2e, 0xca, 0x5c,
	0xfb, 0xf8, 0x98, 0xfa, 0x31, 0x0f, 0xc2, 0x61, 0x77, 0x39, 0xd2, 0x3c, 0x2f, 0x9d, 0xe8, 0xb9,
	0xbb, 0xe7, 0x14, 0x27, 0x20, 0xa3, 0xfe, 0x0b, 0xc1, 0x99, 0x48, 0x10, 0xa0, 0x7b, 0xd8, 0x84,
	0xb8, 0x9f, 0x13, 0xc9, 0xe0, 0x39, 0x43, 0xda, 0xc4, 0x0c, 0x1d, 0x38, 0xeb, 0x61, 0xe9, 0x7c,
	0xc1, 0xdc, 0x50, 0xbd, 0x0d, 0xad, 0xb4, 0x79, 0xcb, 0xf1, 0x8a, 0xc7, 0x64, 0x60, 0x82, 0x06,
	0x57, 0x77, 0x62, 0xd7, 0x58, 0x4e, 0x0c, 0x2c, 0xc7, 0xa2, 0xae, 0x46, 0x77, 0x8f, 0xcc, 0x07,
	0x3d, 0x69, 0xcb, 0x50, 0x3f, 0x42, 0xa0, 0x24, 0xf7, 0x93, 0x89, 0x2c, 0x29, 0x4c, 0x90, 0x2b,
	0x91, 0x04, 0xb9, 0x0d, 0x55, 0xfa, 0x24, 0x90, 0x87, 0xc2, 0x7b, 0x1b, 0x23, 0xa6, 0xbe, 0x1a,
	0xb3, 0x78, 0xce, 0x66, 0x39, 0x26, 0xf0, 0x7d, 0x9e, 0x29, 0x67, 0xb6, 0x81, 0x92, 0xb6, 0x75,
	0xf5, 0x4d, 0x04, 0xcb, 0x09, 0x7e, 0xca, 0x31, 0x2d, 0x05, 0xea, 0x1a, 0xd3, 0x22, 0x97, 0xa1,
	0xa1, 0xf9, 0x4d, 0xb5, 0x0d, 0x67, 0xa2, 0xbb, 0xd2, 0xe4, 0xcb, 0xa2, 0x40, 0xdd, 0x89, 0x12,
	0x15, 0x4d, 0xea, 0xd9, 0x69, 0x44, 0xcb, 0x51, 0xeb, 0xa3, 0xb0, 0x14, 0x3a, 0x28, 0xcd, 0x36,
	0x26, 0x73, 0xec, 0xff, 0x44, 0xa0, 0x4a, 0x3e, 0xae, 0x9c, 0xc5, 0xff, 0x9a, 0x48, 0xdf, 0xb8,
	0xf5, 0x6c, 0x4f, 0x4c, 0x2a, 0x9d, 0xbb, 0x78, 0x02, 0x97, 0x3f, 0xc7, 0x7a, 0x05, 0x96, 0x23,
	0xb6, 0xb9, 0xa3, 0xf7, 0x26, 0x53, 0xbc, 0x98, 0xa4, 0x92, 0x32, 0xc9, 0x94, 0x34, 0x89, 0x6a,
	0xc4, 0x62, 0x10, 0x9b, 0xa0, 0x1c, 0x23, 0xf8, 0x14, 0xc1, 0x52, 0xe8, 0x4b, 0x13, 0x5b, 0x01,
	0xfe, 0x6a, 0x44, 0x37, 0x57, 0xb2, 0x78, 0x76, 0x72, 0xae, 0xe3, 0x53, 0x4d, 0x4f, 0x8e, 0x54,
	0x25, 0xda, 0xa6, 0xfa, 0x2c, 0x28, 0x11, 0x4f, 0x9d, 0x7c, 0xe5, 0x30, 0x54, 0x6f, 0x93, 0xb1,
	0xef, 0xfa, 0xec, 0x99, 0x46, 0xf3, 0x14, 0x6a, 0xe5, 0x70, 0x3e, 0x86, 0xe6, 0x15, 0xa2, 0x0f,
	0xbc, 0xfe, 0x46, 0x9f, 0x74, 0x6e, 0x53, 0x76, 0x86, 0xfe, 0x41, 0xbd, 0xa1, 0xb1, 0x67, 0x86,
	0x3c, 0x58, 0x0e, 0x47, 0xab, 0x6b, 0x1a, 0x7b, 0xa6, 0x47, 0x48, 0xc3, 0xf4, 0x88, 0xb3, 0xaf,
	0x0f, 0x98, 0xb1, 0xd6, 0xb4, 0xa0, 0x4d, 0xf5, 0xc1, 0xb0, 0x17, 0x76, 0x80, 0xac, 0x69, 0xbc,
	0x41, 0xf5, 0x36, 0x72, 0x06, 0xe2, 0x40, 0x4d, 0x1f, 0xd5, 0x7f, 0x56, 0x61, 0x31, 0xed, 0xe4,
	0x13, 0xbb, 0xbc, 0x42, 0x89, 0xcb, 0xab, 0xc3, 0x4f, 0xb7, 0xf7, 0x42, 0x83, 0x98, 0x5d, 0xdb,
	0x32, 0x4c, 0x8f, 0x9f, 0xf5, 0x1a, 0x5a, 0xd8, 0x41, 0x19, 0xef, 0x5b, 0xae, 0x27, 0x41, 0xe9,
	0x41, 0x5b, 0x82, 0x75, 0x6b, 0x11, 0x58, 0x77, 0x18, 0x49, 0x0a, 0xa7, 0x99, 0x8d, 0x5f, 0x2b,
	0x74, 0xb8, 0x3b, 0x14, 0xde, 0xbd, 0x09, 0xcd, 0x7e, 0xa8, 0x12, 0x06, 0x23, 0x64, 0x49, 0x63,
	0x24, 0x75, 0x6a, 0x32, 0xa1, 0x28, 0x48, 0x36, 0x13, 0x07, 0xc9, 0x5e, 0x81, 0xf9, 0xae, 0xee,
	0xe9, 0x1b, 0x84, 0xaa, 0x71, 0xdb, 0xdc, 0xb3, 0x94, 0x06, 0x9b, 0xf8, 0xf1, 0x89, 0x27, 0xde,
	0x8c, 0x0c, 0xd7, 0x62, 0xe4, 0x12, 0x28, 0x1c, 0xa4, 0x40, 0xb8, 0x12, 0x2a, 0xd3, 0x8c, 0xa0,
	0x32, 0x45, 0x93, 0xe4, 0x5d, 0x98, 0x8f, 0xb2, 0x97, 0x0a, 0x7f, 0xd2, 0x9c, 0x8d, 0xf4, 0x42,
	0xf4, 0x53, 0xb4, 0xf0, 0xfd, 0x30, 0xa7, 0xef, 0xeb, 0xc6, 0x40, 0xdf, 0x1d, 0x90, 0x97, 0x2c,
	0xd3, 0x8f, 0xcf, 0xd1, 0x4e, 0xf5, 0x16, 0x2c, 0xa7, 0xe9, 0xfa, 0x19, 0x32, 0x2e, 0x66, 0xd1,
	0xaa, 0x07, 0xcb, 0x9a, 0x00, 0xa9, 0x03, 0x74, 0x40, 0x04, 0x97, 0x17, 0xa9, 0x1f, 0xf2, 0x2e,
	0x11, 0x0d, 0x0a, 0xa2, 0x0e, 0x01, 0x39, 0xf5, 0x3b, 0x08, 0x94, 0xe4, 0xb4, 0xe5, 0xec, 0xed,
	0x47, 0xdd, 0xdd, 0xbf, 0x08, 0x67, 0x5e, 0x30, 0x9d, 0x03, 0xd6, 0xa0, 0x58, 0x59, 0x00, 0x3d,
	0x3e, 0xa5, 0x90, 0x2e, 0x27, 0xda, 0xde, 0x80, 0x93, 0x41, 0x09, 0xc2, 0xf1, 0xb0, 0xbf, 0x0b,
	0x0b, 0x12, 0xc5, 0x72, 0xb8, 0xfe, 0x0d, 0x82, 0xc5, 0xa7, 0x0d, 0xb3, 0xeb, 0xaf, 0x4e, 0xb0,
	0xb5, 0x3d, 0x08, 0x0b, 0x1d, 0xcb, 0x74, 0x47, 0x43, 0xe2, 0xb4, 0x63, 0x22, 0x24, 0x5f, 0xe4,
	0x86, 0x6a, 0xcf, 0x42, 0x53, 0x44, 0x01, 0x9a, 0x00, 0xfb, 0x58, 0xb9, 0xd4, 0xc5, 0x80, 0x61,
	0x9a, 0x7e, 0xd4, 0xf8, 0x26, 0x4a, 0x9f, 0xd5, 0x3f, 0x23, 0x58, 0x8a, 0x31, 0x5d, 0x8e, 0xed,
	0xbe, 0x9c, 0xac, 0xf7, 0x38, 0x36, 0xe4, 0x4f, 0xfd, 0x18, 0xb1, 0xb4, 0xfc, 0xba, 0x49, 0xe2,
	0x56, 0x9f, 0x6d, 0xed, 0x1f, 0x84, 0x05, 0xff, 0x26, 0xaf, 0x1d, 0x0b, 0x34, 0xc9, 0x17, 0x78,
	0x05, 0xb0, 0xdf, 0xb9, 0x1d, 0x1a, 0x1f, 0x57, 0x4d, 0xca, 0x9b, 0x60, 0xfd, 0xab, 0xd2, 0xfa,
	0xff, 0x89, 0x1f, 0x0c, 0x22, 0x9c, 0x97, 0xa3, 0x00, 0x39, 0x06, 0x56, 0x8e, 0x37, 0x06, 0xbe,
	0xcd, 0x41, 0xb0, 0x82, 0x86, 0x9f, 0x6d, 0xf1, 0xb1, 0x04, 0x53, 0x4b, 0x8b, 0xb9, 0x18, 0xe5,
	0xe3, 0x7f, 0xd0, 0x96, 0x5d, 0xb8, 0x87, 0x9f, 0x63, 0xfc, 0x97, 0x6d, 0x96, 0x5e, 0x1d, 0x4b,
	0x1c, 0x94, 0x72, 0xb7, 0x29, 0x39, 0x77, 0x53, 0x87, 0x70, 0x6f, 0xfa, 0xa4, 0xe5, 0x84, 0xca,
	0xf7, 0x2a, 0x3e, 0x1a, 0xe7, 0xcf, 0x97, 0x01, 0x7c, 0x3c, 0x4a, 0x46, 0x37, 0x92, 0x87, 0xf2,
	0x6b, 0x8c, 0x76, 0x46, 0x70, 0x32, 0x8d, 0xad, 0x32, 0xd1, 0xc9, 0x41, 0x5c, 0xe9, 0xa5, 0xc2,
	0x93, 0x17, 0x60, 0xf1, 0x96, 0xee, 0x75, 0xfa, 0xf1, 0x60, 0x79, 0x3f, 0xcc, 0xb9, 0x64, 0xb0,
	0x17, 0xf7, 0xd5, 0x68, 0xa7, 0xfa, 0x51, 0x05, 0x96, 0x62, 0xc3, 0xcb, 0x71, 0xb3, 0xd3, 0x30,
	0xad, 0x77, 0x3c, 0x29, 0xcf, 0xe4, 0x2d, 0x7c, 0x95, 0x2f, 0x2c, 0x87, 0x06, 0xf3, 0x17, 0x6d,
	0x30, 0x95, 0xc8, 0x51, 0xb1, 0x7a, 0xbc, 0x51, 0xf1, 0x59, 0x38, 0xb9, 0x45, 0x3c, 0x51, 0xe7,
	0x3a, 0x91, 0x65, 0xcb, 0x37, 0x8e, 0x95, 0xe8, 0x8d, 0xa3, 0xda, 0x66, 0x21, 0x76, 0x6d, 0x30,
	0xc8, 0x42, 0xf0, 0x3e, 0x80, 0x3b, 0x86, 0xd7, 0xe7, 0x43, 0xc4, 0x05, 0x91, 0xd4, 0xa3, 0xfe,
	0x14, 0xf1, 0xeb, 0x1b, 0x41, 0xb2, 0x34, 0x35, 0xba, 0x21, 0x03, 0x41, 0x65, 0x2e, 0xb3, 0x36,
	0xf6, 0xd4, 0x16, 0x37, 0xa9, 0xe2, 0xb8, 0x10, 0xe9, 0x54, 0x7f, 0xc5, 0x63, 0xba, 0x24, 0x78,
	0x39, 0x5c, 0x6e, 0x49, 0x5c, 0xe6, 0xaa, 0x64, 0xf6, 0x0b, 0x8e, 0xaf, 0xc3, 0x29, 0x01, 0x4b,
	0x1c, 0x93, 0xe6, 0x49, 0x70, 0x2d, 0x58, 0xe6, 0x02, 0xa8, 0x6f, 0x20, 0x38, 0x25, 0x57, 0x4a,
	0x17, 0x66, 0xfc, 0xa0, 0x92, 0xec, 0x43, 0x2e, 0xcf, 0x49, 0xb4, 0x0a, 0xbd, 0x3c, 0x34, 0xe7,
	0xf4, 0x5a, 0xb7, 0xbb, 0x49, 0x6c, 0x62, 0x76, 0x89, 0xd9, 0x31, 0xc2, 0x8c, 0xe5, 0x15, 0x98,
	0xed, 0x4a, 0xdd, 0xa2, 0x62, 0xfb, 0x89, 0xc9, 0x2f, 0xc1, 0x45, 0x56, 0x13, 0xd0, 0x1e, 0x6b,
	0x11, 0x82, 0x6a, 0x9f, 0xa1, 0xf0, 0xd1, 0xa9, 0xcb, 0x11, 0xf2, 0x1b, 0x70, 0x86, 0xdf, 0x69,
	0x7f, 0x2e, 0x72, 0xfe, 0x03, 0x01, 0x4e, 0xfe, 0x08, 0xef, 0xc0, 0x8c, 0x9f, 0xf8, 0x09, 0x19,
	0xf3, 0xc7, 0xef, 0x80, 0x52, 0xb4, 0x96, 0xaf, 0x72, 0x7c, 0xb5, 0x7c, 0x2d, 0x98, 0xb1, 0xf6,
	0x89, 0xe3, 0x18, 0x5d, 0x7e, 0xe2, 0x9a, 0xd1, 0x82, 0x36, 0x3d, 0x10, 0xa7, 0x2d, 0x6f, 0x39,
	0xba, 0x34, 0xd9, 0x21, 0x21, 0x4d, 0x91, 0x47, 0xc6, 0x7f, 0x57, 0x1f, 0x92, 0x4d, 0x6b, 0xa8,
	0x1b, 0xa6, 0x1f, 0xff, 0xc3, 0x1e, 0xea, 0xa1, 0xa6, 0xd5, 0x26, 0x83, 0x3d, 0x21, 0x9e, 0x68,
	0xa9, 0x7f, 0x44, 0xd0, 0xda, 0x22, 0xde, 0x86, 0x65, 0xde, 0x05, 0xe9, 0x70, 0x3b, 0xa9, 0xbe,
	0x9c, 0xb7, 0xdb, 0x21, 0x1d, 0x5f, 0x84, 0x1b, 0x8e, 0x75, 0x97, 0x44, 0xf0, 0xad, 0xb1, 0xa8,
	0x08, 0x01, 0x1d, 0xf5, 0x67, 0xd3, 0x30, 0x17, 0x29, 0xd4, 0xc6, 0x2f, 0xc2, 0xec, 0x50, 0xfa,
	0x71, 0xb1, 0x42, 0xa2, 0x08, 0xa9, 0x52, 0xcf, 0x34, 0xf8, 0x79, 0x68, 0x8a, 0x5d, 0xc1, 0xdc,
	0xb3, 0xfc, 0x9c, 0x3c, 0xf3, 0x0e, 0x2b, 0xd3, 0x08, 0xef, 0xaf, 0xab, 0x85, 0xef, 0xaf, 0xa3,
	0x06, 0x58, 0x3b, 0x1e, 0x03, 0x8c, 0x9a, 0xc4, 0xf4, 0xf1, 0x98, 0x04, 0xde, 0x11, 0xa7, 0xde,
	0x3a, 0xa3, 0xf7, 0x54, 0xbe, 0x7a, 0xff, 0x44, 0x55, 0xd6, 0x2a, 0x2c, 0xca, 0xb6, 0x70, 0x93,
	0x63, 0x46, 0xae, 0x32, 0xc3, 0xce, 0xd6, 0xa9, 0xef, 0xf0, 0x35, 0xa8, 0xb3, 0xca, 0xfe, 0x8e,
	0x2b, 0x10, 0xf0, 0x5c, 0xff, 0x1d, 0xe0, 0xd3, 0xc8, 0x7f, 0x79, 0xf5, 0x09, 0x02, 0x25, 0xbc,
	0xbb, 0x14, 0xff, 0xd0, 0x50, 0x92, 0x97, 0xdf, 0x88, 0xd7, 0x14, 0xe5, 0xfd, 0x87, 0x8b, 0xa0,
	0xa8, 0xe8, 0x2a, 0xe0, 0x4d, 0x32, 0x88, 0x15, 0x15, 0xb1, 0xb0, 0xed, 0xc7, 0x70, 0xff, 0x1f,
	0x58, 0xa4, 0x9e, 0x03, 0x4a, 0xbe, 0xb4, 0x28, 0x2d, 0xd7, 0x66, 0x00, 0x7e, 0xf4, 0x5f, 0x98,
	0x50, 0xfc, 0x5f, 0x98, 0x8e, 0xc0, 0xd4, 0x7f, 0x8f, 0x58, 0x36, 0x5b, 0x76, 0x79, 0xd3, 0xad,
	0x44, 0x79, 0xd3, 0xe4, 0xa9, 0x48, 0x52, 0x66, 0xa9, 0xc8, 0x69, 0x15, 0xe6, 0xe9, 0xe1, 0xc1,
	0x0e, 0xb1, 0x85, 0x58, 0xf5, 0x29, 0x4a, 0x56, 0x9f, 0xbe, 0x0e, 0x27, 0x82, 0x31, 0xe5, 0x1d,
	0x6c, 0x6d, 0x3b, 0x2c, 0x65, 0x10, 0xad, 0xd5, 0xbf, 0xde, 0x13, 0x14, 0x33, 0x6f, 0x78, 0xce,
	0x00, 0xbf, 0x85, 0xa0, 0x46, 0x5e, 0x37, 0x5c, 0x0f, 0x5f, 0xc8, 0x72, 0x8f, 0x1f, 0xaf, 0x08,
	0x6e, 0x5d, 0xcc, 0x39, 0x5a, 0xb0, 0xfb, 0x6d, 0x04, 0xd3, 0x1d, 0x96, 0xeb, 0xe0, 0x8b, 0x85,
	0xca, 0x41, 0x5b, 0x4f, 0xe6, 0x1d, 0x2e, 0x71, 0xd2, 0x65, 0x67, 0xa1, 0x0c, 0x9c, 0xa4, 0xd5,
	0x54, 0x66, 0xe0, 0x24, 0xbd, 0x8c, 0xf2, 0x0d, 0x04, 0xd3, 0x3d, 0x86, 0xdb, 0xe2, 0xf3, 0x39,
	0x6a, 0x2c, 0x7c, 0x36, 0x9e, 0xc8, 0x35, 0x56, 0xf0, 0xf0, 0x0e, 0x82, 0x66, 0x2f, 0xac, 0x3d,
	0xc4, 0x79, 0x88, 0xf9, 0x7e, 0xd1, 0xba, 0x90, 0x6f, 0xb0, 0x60, 0xe5, 0x43, 0x04, 0x27, 0x47,
	0x0c, 0xc0, 0x0a, 0x51, 0x30, 0xbc, 0x5e, 0xbc, 0x22, 0xb0, 0xb5, 0x51, 0x88, 0x86, 0xe0, 0xee,
	0x7b, 0x08, 0xea, 0x7a, 0xb7, 0xcb, 0x2e, 0x41, 0x2e, 0xe5, 0xa8, 0xba, 0x90, 0xcb, 0x94, 0x5a,
	0x4f, 0xe5, 0x27, 0x20, 0xb1, 0xd3, 0x23, 0x5e, 0x46, 0x76, 0xd2, 0x0b, 0x0a, 0x33, 0xb0, 0x73,
	0x50, 0x61, 0xe1, 0x0f, 0x11, 0x00, 0xd7, 0x1d, 0xe3, 0x68, 0x2d, 0xdf, 0x8a, 0x4b, 0x25, 0x7f,
	0xad, 0xf5, 0x22, 0x24, 0x04, 0x57, 0x3f, 0x46, 0x00, 0xdc, 0xd5, 0x19, 0x57, 0xeb, 0x39, 0xfd,
	0x55, 0x5e, 0xaa, 0x8d, 0x42, 0x34, 0x04, 0x5f, 0xdf, 0xe5, 0xb6, 0x44, 0x93, 0x15, 0xfc, 0x64,
	0xb1, 0x0a, 0x9e, 0xd6, 0xa5, 0xdc, 0xe3, 0x25, 0x66, 0x7a, 0xc4, 0xcb, 0xc8, 0x4c, 0x6a, 0x01,
	0x5b, 0xeb, 0x52, 0xc1, 0x52, 0x31, 0xfc, 0x03, 0x04, 0x0d, 0x6e, 0x47, 0x3b, 0x7a, 0x0f, 0x3f,
	0x95, 0xcf, 0x06, 0xc2, 0xb2, 0xb0, 0xd6, 0x5a, 0x01, 0x0a, 0x92, 0x69, 0x73, 0x23, 0x62, 0x4b,
	0xb4, 0x96, 0xcf, 0x00, 0xe4, 0x55, 0x5a, 0x2f, 0x42, 0x42, 0x70, 0xf5, 0x2d, 0x04, 0x73, 0x3d,
	0x1f, 0x75, 0x65, 0x49, 0xda, 0x97, 0x33, 0xad, 0xbd, 0x0c, 0xcf, 0xb5, 0xce, 0xe7, 0x19, 0x2a,
	0x18, 0x79, 0x1f, 0xc1, 0xc9, 0x9e, 0x84, 0xad, 0x32, 0x5e, 0x32, 0x6d, 0x04, 0x71, 0x3c, 0x3a,
	0x5b, 0xaa, 0x91, 0x04, 0x75, 0xdf, 0x45, 0x30, 0xdb, 0x95, 0xc0, 0xce, 0x0c, 0xdc, 0xa4, 0x80,
	0xae, 0xad, 0x8b, 0x39, 0x47, 0x4b, 0xdc, 0x0c, 0x25, 0x3c, 0x32, 0x03, 0x37, 0x29, 0x48, 0x6a,
	0x06, 0x6e, 0x52, 0x41, 0xd0, 0xf7, 0x10, 0xcc, 0xc9, 0xdc, 0xb8, 0x38, 0x1f, 0x41, 0x37, 0x7b,
	0x0e, 0x94, 0xfe, 0x05, 0x8d, 0x5f, 0x20, 0xf8, 0x7f, 0x3d, 0x0a, 0x66, 0x3e, 0x6d, 0x39, 0xf2,
	0xd1, 0xd5, 0xcd, 0xb6, 0xdd, 0xa6, 0x00, 0x5c, 0xd9, 0xb6, 0xdb, 0x54, 0xa8, 0xe7, 0x97, 0x08,
	0xd4, 0x4e, 0x02, 0xaa, 0x4b, 0x70, 0xba, 0x9e, 0x31, 0x37, 0x4d, 0x63, 0x76, 0xa3, 0x10, 0x0d,
	0xc1, 0xef, 0x4f, 0x10, 0x2c, 0xf7, 0x18, 0x72, 0xc5, 0x90, 0x04, 0xf9, 0x37, 0xd9, 0xd2, 0x85,
	0x62, 0x1c, 0x1e, 0x02, 0x9e, 0x09, 0x0e, 0x13, 0xf8, 0xee, 0xdd, 0xe7, 0xf0, 0x20, 0x84, 0xf2,
	0x5d, 0x04, 0xf3, 0x5d, 0x39, 0x00, 0x67, 0xc9, 0x8e, 0x93, 0x27, 0xf2, 0xd6, 0x85, 0x7c, 0x83,
	0x39, 0x37, 0xab, 0x9f, 0x35, 0xe1, 0x54, 0x0c, 0x1d, 0x63, 0xe7, 0xbb, 0xf7, 0x11, 0x3d, 0x57,
	0xf2, 0x9a, 0xaa, 0x0c, 0x1b, 0xe6, 0x01, 0x55, 0x6e, 0x19, 0x36, 0xcc, 0x03, 0x0b, 0xd6, 0x68,
	0xd6, 0x35, 0x0a, 0xea, 0xbc, 0xb2, 0x64, 0xf0, 0x07, 0xd5, 0x9d, 0x65, 0xc9, 0xe0, 0x0f, 0x2e,
	0x30, 0x7b, 0x13, 0x41, 0xa3, 0xef, 0x17, 0x70, 0x65, 0xd8, 0x2e, 0xe3, 0x65, 0x64, 0x19, 0xb6,
	0xcb, 0x64, 0xbd, 0xd8, 0xdb, 0x08, 0xaa, 0x7b, 0x86, 0xd9, 0xcd, 0x10, 0x77, 0xd3, 0xea, 0xc1,
	0x32, 0xc4, 0xdd, 0xf4, 0xca, 0x2c, 0xba, 0x2d, 0xf5, 0xa4, 0x32, 0x97, 0x6c, 0x5b, 0x76, 0x82,
	0x9d, 0x8b, 0x39, 0x47, 0x0b, 0x6e, 0x3e, 0x40, 0x30, 0xdf, 0x8b, 0x54, 0x30, 0x65, 0x4b, 0x45,
	0x93, 0x45, 0x5b, 0xd9, 0x52, 0xd1, 0xb4, 0xd2, 0xa9, 0x0f, 0x11, 0xcc, 0xf2, 0x54, 0x94, 0xd7,
	0xb1, 0xe0, 0xcd, 0x9c, 0xf5, 0x1f, 0x91, 0xda, 0x9b, 0xd6, 0xe5, 0x82, 0x54, 0x04, 0x77, 0x1f,
	0x21, 0x50, 0x46, 0x89, 0x6a, 0x0f, 0x71, 0x68, 0xde, 0x38, 0x86, 0x4a, 0x95, 0xd6, 0x66, 0x31,
	0x22, 0x21, 0xbe, 0x50, 0xbb, 0xa3, 0x7b, 0x9d, 0x7e, 0x06, 0x83, 0x4f, 0xab, 0x2b, 0xc9, 0x60,
	0xf0, 0xa9, 0x75, 0x25, 0x0f, 0x21, 0x66, 0xf2, 0x7d, 0xe9, 0xab, 0x54, 0x38, 0xdf, 0x47, 0xb4,
	0xb2, 0x9b, 0x7c, 0xda, 0xa7, 0xb0, 0x56, 0xff, 0x32, 0x05, 0x0b, 0x5b, 0xd6, 0x3e, 0x71, 0x4c,
	0x19, 0xad, 0xfb, 0x80, 0x67, 0xd3, 0xd1, 0x1b, 0x9b, 0x22, 0xe0, 0xd0, 0x5a, 0x8e, 0xb1, 0x31,
	0x00, 0xfc, 0x47, 0x08, 0x4e, 0xf4, 0xa2, 0xdf, 0x25, 0xca, 0x05, 0x39, 0xc8, 0x1f, 0x57, 0xca,
	0x05, 0x39, 0x44, 0x3f, 0x89, 0xf4, 0x16, 0x67, 0x6b, 0xcd, 0xb6, 0x07, 0x46, 0x47, 0xe7, 0x1f,
	0x66, 0x7a, 0x3c, 0xd3, 0xc9, 0x21, 0x44, 0x74, 0x5b, 0xe7, 0xb2, 0x0f, 0xe4, 0x6c, 0xac, 0x3f,
	0x04, 0x93, 0x7e, 0x1f, 0xef, 0xa5, 0x1a, 0xfb, 0x9e, 0xde, 0xee, 0x34, 0xfb, 0xf3, 0xc8, 0x7f,
	0x03, 0x00, 0x00, 0xff, 0xff, 0x4a, 0xfa, 0x1b, 0xbf, 0x68, 0x4f, 0x00, 0x00,
}
